Panel Designer

Start Page

Screenshot

Quick Access

New Features

Controls

CAPL Functions

Restricted Mode

Compatibility

Overview of Program Functions

Brief Overview for New Users

Closed Overview

  • Functions of the program
  • Description of the windows
  • Window management
  • Controls
  • Control and display elements
  • Symbols
  • Transparency Color

Closed Procedures

  • Opening the Panel Designer
  • Creating a new panel
  • Assigning controls
  • Aligning controls
  • Assigning symbols (drag and drop)
  • Displaying assigned symbols
  • Multiselection of controls
  • Assigning and creating bitmaps

Closed Ribbon

  • Ribbon
  • Menu -> Ribbon
  • Functions of the program
  • Screen format
  • Window management
  • Panel Designer / Panel Editor
  • Convert panels

Tips & Tricks

Note
  • Aligning controls
  • Status bar
  • Keyboard operations
  • context menu
  • Displaying assigned symbols in CANoe/CANalyzer
  • Displaying and entering hexadecimal or binary values
  • Transparency Color
  • Multiselection of controls
  • Panel Conversion: Notes
  • Starting from version 7.0 you can easily design and configure panels (*.xvp) with the Panel Designer.
    Panels (*.cnp) which already exist will still be opened and edited in the Panel Editor.
  • Signals, environment variables and system variables are called symbols.

Contact/Copyright/License

Version 11.0 SP2
© Vector Informatik GmbH


New Features

Panel Designer » New Features

Version 11.0

  • Switch/Indicator
    During a state change, besides concrete values, you can also enter value ranges to map, for example a digital fuel indicator.
  • Panel Overview
    The new window lists controls which are integrated into the currently selected panel. In the tabular overview, you can
  • quickly identify which symbols are assigned to which controls
  • assign symbols to the controls
  • find controls which are hidden or located outside the panel

Version 10.0 SP4

  • The new Method Call Control is used to send a function/method. You can set parameters and receive the corresponding return value.

Version 10.0 SP3

  • New setting Epsilon for the controls Check Box, LED Control, Radio Button and Switch/Indicator.
    By using this property, you will be able to set in the Panel Designer a value for the tolerated deviation of rounding inaccuracies.
  • With the Clinometer you can display the transverse and longitudinal slopes.

Version 10.0

  • Ribbon
    Improved usability with ribbon and tabs dependent on the selected control.
  • With the Compass you can display the cardinal points and the speed.

Version 9.0 SP2

  • With the Media Stream Control you can play streaming media.

Version 9.0

  • With the NM Control you can display and edit values of the network management.

Version 8.5 SP4

  • With the LED Control you can select and display two defined states.
  • With the LED Band you can highlight a defined panel area.
  • You can insert a background picture for a panel.

Version 8.5

  • You can specify the indices of structured SOME/IP service parameters in the Array Index Qualifier property.
  • For the Panel Control Button you can select Network Panels and Node Panels.

Version 8.2 SP3

  • The panel converter for the automatic conversion of CNP/OCI panel files to XVP panel files has been further improved.
  • The Switch Indicator now can indicate whether or not the assigned signal has already been received.

Version 8.2

  • Beside the integrated controls, user-defined plug-in control can be added to the Panel Designer.
    Further information can be found here: AN-IND-1-017_PanelControlPlugIn.pdf
    Precondition: Development environment for .NET.

Version 8.1

  • The content of the CAPL Output View control can be deleted using the CAPL function DeleteControlContent.
  • The file path specified in the Path Dialog control is not only displayed but will also be opened.
  • Tool tips in panels contain information about the exact qualification of signals and system variables.
  • Using the Window Capture function you can now also capture the content of Panels during a test, and you can integrate the captured information into the test report.

Version 8.0

  • With the Tab Control you can place controls on several tabs. The control enables you to quickly switch between these tabs during runtime.
  • In the Properties Window you can select, if all or only the relevant properties of a control should be displayed.
  • You can reset the window positions.

Version 7.6

  • Now the Hex/Text Editor can display data bytes in decimal format and integer arrays in hex and decimal format.
  • With the Start Stop Control you can start and stop the measurement.

Version 7.5

  • The CAPL Outpu View is used to output text information from CAPL at runtime.
  • The Clock Control lets you display the time in digital form.
  • The LCD Control is used to display floating-point numbers.
  • The Media Player control is used to play media files.
  • With the CAPL function SetPictureBoxImage, in the Picture Box control you can exchange the image file during runtime.
  • With the CAPL Function DeleteControlContent you can delete the contents of the CAPL Output View.

Version 7.2 SP3

  • With the panel converter you can convert panel files (CNP, OCI) to Panel Designer panels (XVP files).
  • With the MOST Send Button control you can send assigned MOST messages.

Version 7.2

  • In the Grid Configuration dialog, you can select whether you want to align the controls using snaplines or grid points.
  • Access on CANoe environment variables and panels with CAPL functions.

Version 7.1 SP3

  • You can see information and error messages relating to the currently active panel in the Output Window
  • The TextBox control is renamed to Input/Output Box.
  • The control Meter, used for displaying a defined value range, was included
  • The following new functions can be found in the Edit menu
  • Check Symbols,
    checks whether all linked symbols are saved in the assigned database.
  • Undo,
    undoes the last action carried out.
  • Redo,
    redoes the last undone action.

Version 7.1

  • With the Hexadecimal Editor you can display and enter large data volumes.
  • With the Panel Control Button you can open Panels during the measurement.

Version 7.0

The new Panel Designer facilitates the generation of panels with its user-friendly interface.

One operator level

The division of the main window into the working area, Toolbox, Symbol Explorer and Properties Window makes the process to configure the panel and its controls virtually dialog-free:

  • All controls can be assigned to an open panel directly from the toolbox.
  • Symbols can be assigned to a control using drag and drop.
  • The panel and controls are configured using the Properties Window. The window displays all settings in table format. When a setting is selected, a brief description of it appears at the bottom of the Properties Window.

You can select a number of elements at once to modify their common settings simultaneously in the Properties Window.

Guide lines for aligning controls

The snaplines which appear in the working area make it easy for you to align the controls.

Advanced options for linking symbols and controls

Symbol can be assigned directly to a panel using drag and drop. Following assignment, the standard control set in the Symbol Explorer Drag & Drop Configuration dialog is displayed.

The symbol can be assigned to a new control at any time using the control's context menu.

Working with multiple panels in a main window

Multiple panels can be opened at the same time in the Panel Designer. The open panels are displayed on separate tabs in the working area.


Function Overview

Panel Designer » Function Overview

Creating and saving panels

You can use the Panel Designer to create graphic panels on which the values of symbols can be modified and displayed interactively by the user during simulation.

As the working area has been designed to work on the basis of tabs, multiple panels can be opened simultaneously in parallel.

A symbol from the database must be assigned to each display and control.

The panels are saved in xvp (extended vector panel) format and can subsequently be loaded in CANoe/CANalyzer configurations.

Assigning and aligning controls

All controls can be assigned to an open panel directly from the toolbox:

  • Using drag and drop
  • By double-clicking
  • By clicking with the left mouse button to select the required control and then clicking again with the left mouse button on the panel

To facilitate alignment of the controls, snaplines on which controls can be aligned appear when you start the assignment process. Supplementing the guide lines, the Home ribbon tab features additional edit options.

The following control types are available for the configuration of the panels:

  • Display elements
  • Control elements
  • Static elements

Panel and control configuration
  • Individual panels and controls are configured via the ribbon or the Properties Window. All significant settings for one or a number of selected elements can be made in this window.
  • You can use the Input/Output Box or the Combo Box to display and enter values in hexadecimal or binary format.

Assigning symbols

The available symbols can be assigned directly to a control by dragging and dropping from the Symbol Explorer. If you drag and drop a Symbols to a panel directly, this symbol is assigned to the default control set in the Options dialog.

Supported symbols depend on the CANoe/CANalyzer program variant.

When a signal is assigned, the minimum/maximum values from the database are used for the value range (min/max) or for the alarm display of the control. The value range must be set in the database for this purpose. Otherwise, the value range will be calculated for the control according to the number of bits and the data type.

Note

Note

If you assign a symbol to a control that have been already assigned a symbol by drag and drop, the minimum and maximum values and the alarm state settings defined in the database will only be taken over when the Shift key is pressed.


Screen Format

Panel Designer » Screen Format

Quick Access Toolbar

The menu bar is located along the upper edge of the screen. It is used for selecting commands.

Ribbon

The ribbon below can be used to select important commands rapidly.

Windows

Below the ribbon, you find the main window with its docked windows.

Status Bar

The status bar is located along the lower border of the main Panel Designer window.

Control type, assigned symbol, panel path and panel name are displayed on it.


Description of the Windows

Panel Designer » Screen Format » Description of the Windows

Working Area

Panels are configured in the working area.

Every time a new panel is opened, a tab appears (this means that multiple panels can be edited in parallel).

Symbol Explorer

All available symbols are shown in the Symbol Explorer.

They can be assigned to an open panel using drag and drop.

Panel Overview

The panel overview of the Panel Designer lists controls which are integrated into the currently selected panel.

In the tabular overview, you can

  • quickly identify which symbols are assigned to which controls
  • assign symbols to the controls
  • find controls which are hidden or located outside the panel

Toolbox

All available controls are displayed in the toolbox.

They can be assigned to an open panel using drag and drop or by double-clicking.

Properties

The Properties Window lists all settings associated with the currently selected control.

When a setting is selected, a brief description of it appears at the bottom of the Properties Window.

Output Window

Messages on the currently active panel are displayed in the Output Window, e.g. if controls are not linked with the existing symbols.


Control and Display Elements

Panel Designer » Control and Display Elements

The following control types are differentiated:

Control Type

Supported Symbols

Program Variants

Display Element

With display elements value changes of assigned symbols can be displayed.
  • Signals
  • Diagnostics parameters
  • System variables
  • Environment variables

CANoe pex/pro

CANoe run

  • Signals
  • Diagnostics parameters
  • System variables

CANalyzer pro/exp

  • Signals
  • Diagnostics parameters

CANalyzer fun

Control Element

With control elements values of assigned symbols can be changed.
  • Signals
  • System variables
  • Environment variables

CANoe pex/pro

  • System variables

CANalyzer pro/exp

Static Element

Static elements are used for graphic representation or explanatory purposes.No symbols can be assigned to them:

—

CANoe pex/pro

CANoe run

CANalyzer pro/exp

CANalyzer fun

Special Element

With special elements predefined actions can be performed. No symbols are assigned to them:

  • File Button
  • MOST Send Button
  • Panel Control Button
  • Start Stop Control

—

CANoe pro

CANalyzer pro/exp

Note

Note

Many controls can be utilized as both control and display elements.

In CANoe run and CANalyzer fun only display elements can be created and configured. Combined control and display elements can only be used as display element.

Restricted Mode


Toolbox

Panel Designer » Windows » ToolBox

Ribbon|Home Tab|Views|Toolbox

The Panel Designer toolbox displays the available controls.

The controls can be assigned to an open panel directly from the toolbox:

  • By drag and drop
  • By double-clicking
  • By left-clicking the required control to select it and then inserting it by left-clicking the panel

Once a control has been assigned, the marker in the toolbox will automatically turn into a pointer. You can then configure the controls on the panel exactly as you wish.

On the Data Types of Assigned Symbols page you can find an overview about all data types of symbols that can be assigned to the controls.

Icon | Name | Description | Available in
 | Pointer | Marker tool | CANoe/CANalyzer
 | Analog Gauge | For displaying a user-defined value range. | CANoe/CANalyzer
 | Button | For triggering actions. | CANoe/CANalyzer pro/CANalyzer exp
 | CAPL Output View | For displaying text continuously | CANoe/CANalyzer pro
 | Check Box | For selecting or displaying options. | CANoe/CANalyzer In CANoe run and CANalyzer fun it can only be configured as a display element.
 | Clinometer | For displaying the transverse and longitudinal slopes. | CANoe/CANalyzer
. | Clock Control | For time display time or use it as stop watch | CANoe/CANalyzer For CANalyzer fun only time can be displayed; stop watch is not available.
 | Combo Box | For displaying or selecting symbolic values from database value tables | CANoe/CANalyzer In CANoe run and CANalyzer fun it can only be configured as a display element.
 | Compass | For displaying the cardinal points and the speed. | CANoe/CANalyzer
 | Group Box | For grouping panel controls and associated options. | CANoe/CANalyzer
 | Hex/Text Editor | For entering and displaying large data volumes (in hexadecimal/text format) | CANoe/CANalyzer In CANoe run and CANalyzer fun it can only be configured as a display element.
 | Input/Output Box | For entering or displaying text. | CANoe/CANalyzer In CANoe run and CANalyzer fun it can only be configured as a display element.
 | LCD Control | For displaying floating-point numbers. | CANoe/CANalyzer pro/CANalyzer exp
 | LED Band | For highlighting defined panel areas. | CANoe/CANalyzer
 | LED Control | For selecting and displaying of two defined states. | CANoe/CANalyzer
 | Media Player | For playing media files. | CANoe/CANalyzer pro/CANalyzer exp
 | Media Stream Control | For playing streaming media. | CANoe/CANalyzer pro/CANalyzer exp
 | Meter | For displaying a user-defined value range. | CANoe/CANalyzer
 | Method Call Control | For calling a function/method. Only available if the Panel Designer was opened from CANoe/CANalyzer and a configuration with communication objects is loaded there. | CANoe/CANalyzer
 | MOST Send Button | For triggering MOST messages. | CANoe/CANalyzer
 | NM Control | For displaying and editing values of the network management. | CANoe
 | Numeric Up/Down | For setting a value within a defined value range. | CANoe/CANalyzer pro/CANalyzer exp
 | Panel Control Button | For opening panels during the measurement. | CANoe/CANalyzer pro/CANalyzer exp
 | File Button | For calling any text file while in measuring mode. | CANoe/CANalyzer pro/CANalyzer exp
 | Path Dialog | For selecting files and folders interactively. Example applications: Specifying configuration or logging files. | CANoe/CANalyzer pro/CANalyzer exp
 | Picture Box | Picture used purely for the purpose of designing a panel. | CANoe/CANalyzer
 | Progress Bar | For displaying a value within a defined value range. | CANoe/CANalyzer
 | Radio Button | For selecting or displaying mutually exclusive options. | CANoe/CANalyzer In CANoe run and CANalyzer fun it can only be configured as a display element.
 | Start Stop Control | Starts and stops a measurement. | CANoe/CANalyzer
 | Static Text | For entering text. Used purely for the purpose of labeling items on the panel. Can only be modified in Panel Designer. | CANoe/CANalyzer
 | Switch/Indicator | For selecting and displaying defined states. | CANoe/CANalyzer In CANoe run and CANalyzer fun it can only be configured as a display element.
 | Tab Control | For placing controls on several tabs of a single control. | In CANoe run and CANalyzer fun on the tabs only display element can be configured.
 | Track Bar | For setting a value within a defined value range. | CANoe/CANalyzer In CANoe run and CANalyzer fun it can only be configured as a display element.

Note

Note

Please note availability in CANoe and CANalyzer. A restricted mode applies in the case of CANalyzer fun and CANoe run.

Control and Display Elements | Transparency Color


Symbols

Panel Designer » Function Overview » Symbols

Disambiguation

Definition Symbols

In CANoe/CANalyzer symbols are system variables, environment variables, signals and diagnostics parameter. With symbols values can be displayed or actions can be triggered.

Linking of symbols to panel controls is done directly in the Panel Designer.

The following symbols are available in the Panel Designer:

  • Environment variables

Environment variables represents the connection between a specific control on the panel and the associated CAPL program. In the CAPL program a change in the value of the environment variables causes a reaction, thereby triggering a specific action.

Note

Note

Environment variables are only supported for panels used in CANoe.
  • Signals

Because of the association of signals, signal values can also be set with the controls. This requires the availability of an Interaction Layer.

If a signal value is changed by a control, the control is initially shown with red hatch marks. This red hatching indicates that the value shown by the control is not synchronous to the bus, i.e. the new value was not yet sent on the bus. As soon as a message has been transmitted on the bus with the relevant signal, the red hatching disappears, since the control is now in a bus-synchronous state.

Note

Note

In CANalyzer the changing of signal value is not possible.
  • System variables

CANoe/CANalyzer system variables are similar to environment variables, but instead of the database, they are defined in the respective context.

System variables are categorized and can store values of type character string (string), integers (int), or floating points (float). It is also possible to specify a standard value to be used if the variables cannot be set.

Note

Note

In CANalyzer fun system variables are not supported.
  • Diagnostic parameters

Diagnostic parameters can be displayed via controls by assigning the parameters. The value of a diagnostic parameter is only displayed and cannot be modified via the control. There are different types of diagnostic parameters for storing different value types: string values, integer values, float values and numerical values. In the case of numerical values, a symbolic textual representation of the value can also be stored.

Supported symbols in CANoe/CANalyzer program variants

Programs | Display elements | Control elements
CANoe pex/pro | Signals Diagnostics parameters System variables Environment variables | Signals System variables Environment variables
CANoe run | Signals Diagnostics parameters System variables Environment variables | —
CANalyzer pro/exp | Signals Diagnostics parameters System variables | System variables
CANalyzer fun | Signals Diagnostics parameters | —

Assigning Symbols | Restricted Mode | Data Types of Assigned Symbols


Access Panels using CAPL Functions

Panel Designer » Access Panels using CAPL Functions

You can access panels or panel elements using following CAPL functions.

CAPL Function

Description

Panel Designer Controls

openPanel

Opens a panel or all panels.

—

closePanel

Closes a panel or all panels.

—

clockControlReset

Resets the Clock Control designed as stop watch.

Clock Control

clockControlStart

Starts the Clock Control designed as stop watch.

Clock Control

clockControlStop

Stops the Clock Control designed as stop watch.

Clock Control

deleteControlContent

Deletes the contents of the CAPL Output View.

CAPL Output View

enableControl

Activates or deactivates specific elements.

Button; Check Box; Combo Box; Hex/Text Editor; Input/Output Box; MOST Send Button; Numeric Up/Down; Panel Control Button; Path Dialog; Radio Button; Switch/Indicator; Track Bar

putValue

Transfers defined values to the symbol assigned to the control.

Analog Gauge, Button, Check Box, Clock Control, Combo Box, Hex/Text Editor, Input/Output Box, LCD Control, Media Player, Meter, Numeric Up/Down, Path Dialog, Progress Bar, Radio Button, Switch/Indicator, Track Bar

putValueToControl

Transfers defined values to the control.

Note

Note

Since CANoe/CANalyzer version 7.5 for the putValueToControl function additional parameters can be set to change the format of the output, e.g. the text should be displayed in a new paragraph or the value should be displayed hexadecimal.

CAPL Output View

setClockControlTime

Sets the time of the Clock Control.

Clock Control

setControlBackColor

Sets the background color of panel elements. The color value is determined using the MakeRGB function.

Analog Gauge, Check Box, Clinometer, Clock Control, Combo Box, Compass, Group Box, Hex/Text Editor, Input/Output Box, LCD Control, Meter, MOST Send Button, Numeric Up/Down, Panel Control Button, Radio Button, Static Text, Track Bar

setControlColors

Sets the background and text color of panel elements.

Analog Gauge, Button, CAPL Output View, Check Box, Clock Control, Combo Box, Hex/Text Editor, Input/Output Box, LCD Control, MOST Send Button, Numeric Up/Down, Panel Control Button, Radio Button, Static Text

setControlForeColor

Sets the foreground color of panel elements. The color value is determined using the MakeRGB function.

Analog Gauge, Button, CAPL Output View, Check Box, Clock Control, Combo Box, Compass, Hex/Text Editor, Input/Output Box, LCD Control, LED Band, LED Control, MOST Send Button, Numeric Up/Down, Panel Control Button, Radio Button, Static Text

setDefaultControlColors

Sets back the background and text color of panel elements as defined in the Panel Designer.

Analog Gauge, Button, CAPL Output View, Check Box, Clock Control, Combo Box, Group Box, Hex/Text Editor, Input/Output Box, LCD Control, Meter, MOST Send Button, Numeric Up/Down, Panel Control Button, Radio Button, Static Text, Track Bar

setControlVisibility

Sets the visibility at runtime.

All controls.

setMediaFile

Replaces the media file of the Media Player.

Media Player

setPictureBoxImage

Replaces the image of the Picture Box.

Picture Box


Restricted Mode

Panel Designer » Restricted Mode

In CANalyzer fun/CANoe run the Panel Designer is opened in a restricted mode.

This means that all available panels can be opened and edited - but only with the following restrictions:

  • Only display elements and combined control and display elements are available and values can't be changed interactively.
  • Elements that are configured as combined control and display elements can only be used as a display.

Controls | Compatibility | Supported Symbols in CANoe /CANalyzer program variants


Compatibility

Panel Designer » Compatibility

Loading panel files in CANoe/CANalyzer

  • Created panel files can be loaded and displayed in CANoe and CANalyzer.

Note

Note

  • CANalyzer pro/CANalyzer exp supports:
  • Display elements with assigned signals and system variables
  • Control elements with assigned system variables
  • CANalyzer fun supports only display elements with assigned signals
  • System variables are not supported by CANalyzer fun.
  • In CANalyzer all control and display elements with assigned environment variables will automatically be deactivated, due to the fact that environment variables are not supported in CANalyzer.

Loading panel files from newer versions

  • Created panel files from newer CANoe/CANalyzer versions can be loaded and displayed in this version.

Note

Note

Only functions of this version are supported. Functions of the newer version will automatically be deactivated.

If you save a loaded panel file with this version, all functions of the new version will get lost.
  • Created panel files since CANoe/CANalyzer version 7.0 SP4 can not be loaded and displayed in older versions.

Solution:

Install the current Service Pack for version 7.0. You can find this on www.vector.com

Loading panel files in Panel Designer and Panel Editor

  • In the Panel Designer created panel files (*.xvp) can only be opened and edited in the Panel Designer.
  • In the Panel Editor created panel files (*.cnp) can only be opened and edited in the Panel Editor.

Convert panels into Panel Designer panels

Panel Editor panels (*.cnp) and Remote Control panels (*.oci) can be converted into Panel Designer panels using the Import function.

Restricted Mode | Panel Desiger / Panel Editor


Panel Desiger / Panel Editor

Panel Designer » Panel Desiger / Panel Editor

This sides shows you an overview about the functionality and controls of Panel Designer and Panel Editor.

Functionality | Panel Designer | Panel Editor
Create control and display elements | • | •
Import Panel Editor panels (*.cnp) & Remote Control panels (*.oci; MOST specific) | • | —
Create panels using drag and drop | • | —
Configure controls using drag and drop | • | —
Automatically generate panels | — | •
Automatically assign to configuration | • | —
Test mode for checking the functionality of the controls | — | •
Operate the controls using CAPL functions (activate/deactivate panel, define colors) | • | •
Panel file format | *.xvp | *.cnp
Window management |  |
Docked windows (Toolbox, Properties , Symbol Explorer) | • | —
Panel layout, align controls |  |
Align functions | • | •
Snaplines | • | —
Key Combinations | • | —
Undo/Redo function | • | •
Controls |  |
 | Analog Gauge | Analog Gauge
 | Button | Push Button Bitmap Push Button
 | CAPL Output View | Multi Display Control
 | Check Box | —
 | Clinometer | —
 | Clock Control | Clock Control
 | Combo Box | Value Table Box
 | Compass | —
 | Group Box | Frame
 | Hex/Text Editor | Hex Editor
 | Input/Output Box | Input/Output Box; Alarm_States_Indicator
 | LCD Control | LCD Display
 | LED Band | —
 | LED Control | —
 | Numeric Up/Down | Spin Control
 | Media Player | —
 | Media Stream Control | —
 | Meter | Meter
 | Method Call Control | —
 | MOST Send Button | MOST BMP Button
 | Panel Control Button | Panel Control Button
 | File Button | Panel Help Button
 | Path Dialog | FileSelection
 | Picture Box | Bitmap; Static_Bitmap
 | Progress Bar | VectorBar
 | Radio Button | Radio Button
 | Start Stop Control | —
 | Static Text | Text
 | Switch/Indicator | Switch, Bitmap Switch/Indicator, Bitmap_Button, Bitmap_Switch
 | Tab Control | —
 | Track Bar | Slider, BitmapSlider, Slider
 | — | MessageDisplay
 | — | MessageGroupControl
 | — | Panel Recorder

Restricted Mode | Compatibility | Panel Conversion


Import Panels... (Panel Conversion)

Panel Designer » Import Panels

Ribbon|File Tab|Import

Using this menu path, opens the Open dialog. In this dialog, you can select and import an existing panel file. The selected panel file is converted to the current Panel Designer format (*.xvp) and opened in the Panel Designer. The target file automatically obtains the same name as the source file.

Following panel source files can be converted:

  • Panel Editor file (*.cnp)
  • Remote Control file (*.oci)

Note

Note

Check the converted panels. It is possible that some panel settings could not be converted completely and would therefore not be carried over or were reset to their default values.

Information on Converting from the CNP Format to the XVP Format

If the conversion is unsuccessful or only partially successful, it may be caused by the following:

FAQ

FAQ: The panel was saved with a very old version of the Panel Editor.

The panel must have a certain internal version so that it can be handled by the panel converter. The version number in the panel is issued when saving with the Panel Editor.

Possible Solution

A better conversion result can be achieved by first saving the panel in the current version of the Panel Editor and then restarting the conversion.

Proceed as follows if you have already added a converted panel to the CANoe/CANalyzer configuration in CANoe.

  1. Remove the converted panel (XVP) from the CANoe configuration using the CANoe panel configuration dialog. The XVP file remains in the panel directory.
  2. Move - for a subsequent conversion comparison- or delete the affected XVP file in the panel directory.
    Panel conversion only starts if there is no XVP file in the panel directory for the respective CNP file.
  3. Open the desired CNP file in the Panel Editor of the current CANoe version and save it again.
    A message will be displayed stating that the panel was saved with an older version of the Panel Editor and will now be overwritten. Confirm overwriting with [OK].
  4. Open the Panel Designer and import the CNP file via the File ribbon tab|Import.
    Check the results, if necessary by comparing them with the created XVP file from the first conversion. If the panel matches the first conversion result and is still not complete or cannot be converted, the panel contains invalid data that cannot be converted.
  5. After successful conversion, add the panel with [image] to the configuration opened in CANoe.

FAQ

FAQ: The panel contains elements not supported by the Panel Designer.

The missing elements must be replaced manually.

FAQ

FAQ: The panel contains invalid data.

The missing elements must be supplemented manually.

Notes on Panel Conversion of single Controls


Ribbon

Panel Designer » Ribbon

Ribbon

In the Panel Designer ribbon the following tabs are available:

File

Home

Panel

Properties

Quick Access Toolbar

As default in the Quick Access Toolbar the following functions are available:

  • Open
    With a click on the symbol you open the Windows Explorer to select a previously saved panel file.
    With a click on arrow right you open the recent panel file list.
  • Save
  • Undo
    Takes back the last executed action. To restore undone actions choose the Redo function.
  • Redo
    Restores the last undone action. To take back redone actions choose the Undo function.
  • Options

Context Menu of the Ribbon

Minimize the Ribbon
The functions of the single tabs will be hidden. With a click on a tab the respective functions will be displayed.

Menu ⇒ Ribbon: Where to Find What?


File (Ribbon)

File

Panel Designer » Ribbon » File

Ribbon: Tab File

File

Home

Panel

Properties

Symbol | Description
 | New With a click on the symbol you open a new panel.
 | Open With a click on the symbol you open the Windows Explorer to select a previously saved panel file. With a click on arrow right you open the recent panel file list.
 | Import With a click on the symbol you open the Open dialog. In this dialog, you can select and import an existing panel file.
 | Save With a click on the symbol you save the panel. The Save As dialog automatically opens when the panel is saved for the first time.
 | Save As... With a click on the symbol you open the Save As dialog.
 | Save All With a click on the symbol you save all opened and changed panels.
 | Add to Configuration With a click on the symbol you open the Save As dialog. In this dialog you can add the panel to the configuration.
 | Options In the Options dialog you can configure global settings for controls, panels and the grid. With a click on the symbol you open the Options dialog.
 | Close With a click on the symbol you close the active panel. If you have not yet saved all changes to the open panel, you will be prompted to do so automatically. Select the appropriate option in the window which appears.
 | Close All With a click on the symbol you close all open panels. If you have not yet saved all changes to the open panels, you will be prompted to do so automatically. Select the appropriate option in the window which appears.
 | Help With a click on the symbol you open the help.
 | About With a click on the symbol you open a dialog that displays program version number, individual serial number and name of the licensee.
Exit | Exits the Panel Designer. If you have not yet saved all changes to the open panels, you will be prompted to do so automatically. Select the appropriate option in the window which appears.

Menu ⇒ Ribbon: Where to find What?


Home (Ribbon)

Home

Panel Designer » Ribbon » Home

Ribbon: Tab Home

File

Home

Panel

Properties

Symbol

Description

Edit Group

Paste

With a click on the symbol you add the contents of the clipboard to the panel, provided that they are valid controls. You can choose the position of the control using the cursor.

Cut

With a click on the symbol you cut the selected control and to transfer it to the clipboard. Click on Paste to add the control to the panel again.

Copy

With a click on the symbol you copy the selected control to the clipboard. This does not change the panel. Click on Paste to add the control to the panel again.

Delete

With a click on the symbol you delete the selected control. The control is not transferred to the clipboard in this action.

Arrange Controls Group

Here you can align the selected controls against each other:

  • Left
    All selected controls are left-aligned. Their vertical alignment remains unchanged.
    The left-hand edge of the first control selected is used as the reference point.
  • Center
    Centers the selected controls horizontally; their vertical alignment remains unchanged.
  • Right
    All selected controls are right-aligned. Their vertical alignment remains unchanged.
    The right-hand edge of the first control selected is used as the reference point.
  • Top
    All selected controls are top-aligned. Their horizontal alignment remains unchanged.
    The top edge of the first control selected is used as the reference point.
  • Middle
    Centers the selected controls vertically; their horizontal alignment remains unchanged.
  • Bottom
    All selected controls are bottom-aligned. Their horizontal alignment remains unchanged.
    The top edge of the first control selected is used as the reference point.

Bring to Front

With a click on the symbol you bring the selected control to the front.

When configuring panels, elements can be overlaid. This ordering of elements is known as the overlap sequence.
To change the overlap sequence, select the corresponding element and send it to the front or to the back.
When a new element is added to a panel, it is always sent to the front until the overlap sequence changes or another element is added.

Send to Back

With a click on the symbol you send the selected control to the back.

When configuring panels, elements can be overlaid. This ordering of elements is known as the overlap sequence.
To change the overlap sequence, select the corresponding element and send it to the front or to the back.
When a new element is added to a panel, it is always sent to the front until the overlap sequence changes or another element is added.

Here you can set the horizontal spacing between the selected elements:

  • Make Equal
    All selected controls are positioned with equal horizontal spacing. Their vertical alignment remains unchanged.
    The distance between the controls is calculated on the basis of an equal distance between the two outermost controls.
  • Remove
    All selected controls are lined up horizontally. Their vertical alignment remains unchanged.
    The first control selected is used as the reference point.

Here you can set the vertical spacing between the selected elements:

  • Make Equal
    All selected controls are positioned with equal vertical spacing. Their vertical alignment remains unchanged.
    The distance between the controls is calculated on the basis of an equal distance between the two outermost controls.
  • Remove
    All selected controls are lined up vertically. Their horizontal alignment remains unchanged.
    The first control selected is used as the reference point.

Size Group

Width

With a click on the symbol all selected controls are set to the same width.

The first control selected is used as the reference point.

Height

With a click on the symbol all selected controls are set to the same height.

The first control selected is used as the reference point.

Both

With a click on the symbol all selected controls are set to the same height and width.

The first control selected is used as the reference point.

Center in Panel Group

Horizontally

With a click on the symbol all selected controls are centered horizontally in relation to the panel. Their vertical alignment remains unchanged.

Vertically

With a click on the symbol all selected controls are centered vertically in relation to the panel. Their horizontal alignment remains unchanged.

Both

With a click on the symbol all selected controls are centered horizontally and vertically in relation to the panel.

More Group

Check Symbols

With a click on the symbol you can check on the currently active panel if the controls are linked with symbols (if possible) and if these symbols are saved in the current database.

Information on inconsistencies is displayed to you automatically in the Output Window.

Here you can open/close the available windows and reset the window position

  • Toolbox
  • Symbol Explorer
  • Panel Overview
  • Properties
  • Output Window
  • Reset Window Positions
    Resets the window position to the default settings.

Menu ⇒ Ribbon: Where to find What?


Properties (Ribbon)

Properties

Panel Designer » Ribbon » Properties

Ribbon: Tab Properties

File

Home

Panel

Properties

Closed Analog Gauge

  • Description Analog Gauge
Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
Appearance Group
Text | Here you change the description of the scale.
Minimum | Here you change the minimum of the value range.
Maximum | Here you change the maximum of the value range.
Scale Angle | Here you change the scale angle.
Arrow Position | Here you change the arrow position (start position).
Mean Range Group
Lower | Here you set the limit of he lower range. The lower limit value could not be smaller than the minimum.
Upper | Here you set the limit of the upper range. The upper limit value could not be higher than the maximum.
Ranges Group
Lower | Here you change the color of the lower range.
 | With a click on the symbol you activate/deactivate the colored display of the lower range.
Mean | Here you change the color of the mean range.
 | With a click on the symbol you activate/deactivate the colored display of the mean range.
Upper | Here you change the color of the upper range.
 | With a click on the symbol you activate/deactivate the colored display of the upper range.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Closed Button

  • Description Button
Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Text | Here you change the description of the control.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
 | With a click on the symbol you align the text on the left site of the control.
 | With a click on the symbol you align the text in the middle of the control.
 | With a click on the symbol you align the text on the right site of the control.
Switch Values Group
Pressed | Here you change the symbolic value that is set when the button is clicked.
Released | Here you change the symbolic value that is set when the button is released.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Closed CAPL Output View

  • Description CAPL Output View

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Group Font

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Border Style Group

Here you change the frame of the control:

  • Fixed 3D
    3D frame
  • Fixed Single
    Single frame
  • None
    No frame

Output Mode Group

Here you change the text output.
You can specify whether the text is output continuously or whether new outputs overwrite existing ones.

  • Append
    The text is appended continuously.
  • Overwrite
    Incoming text outputs overwrite existing ones.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Check Box

  • Description Check Box

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

More Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

With a click on the symbol you align the text on the left site of the control.

With a click on the symbol you align the text in the middle of the control.

With a click on the symbol you align the text on the right site of the control.

Switch Values Group

Activated

Here you change the symbolic value that is set when the check box is activated.

Deactivated

Here you change the symbolic value that is set when the check box is deactivated.

Appearance Group

Here you change the control/display:

  • Check Box
    Control/display as Check Box
  • Button
    Control as Button

Check Position Group

Here you change the alignment of the Check Box (not of the description) within the control:

  • Top Left
    Align Check Box at the top left
  • Top Right
    Align Check Box at the top right
  • Middle Left
    Align Check Box center left
  • Middle Right
  • Align Check Box center right

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Clock Control

  • Description Clock Control

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Settings Group

Here you change the usage:

  • Clock
    In this case, you also need to configure the Source property.
  • Stop Watch
    The stop watch always starts at zero. You cannot modify this start value. The clock is updated every second.

Display Seconds

With a click on the symbol you change display.

With activated option the time display includes seconds as well as hours and minutes.

Style

Here you change the time setting:

  • 12h format, (i.e. a 12-hour clock with AM/PM)
  • 24h format

Note

Note

This property is disabled when StopWatch mode is selected.

Source

Here you change the source of the time:

  • System Time
    The system time of the PC is used.
  • CAPL
    The time in the control is set via CAPL.

Note

Note

This property is disabled when StopWatch mode is selected.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Combo Box

  • Description Combo Box

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Text Font / Combo Box Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Appearance Group

Here you change the list type:

  • Drop Down List
  • Simple list
  • Flat Drop Down List

Here you change the alignment of the description:

  • Text Left
    To the left of the Properties (Ribbon)
  • Text Right
    To the right of the Properties (Ribbon)
  • Text Top
    Above the Properties (Ribbon)
  • Hide Text
    No description

Here you change the number of displayed items:

  • Show All Items
    All available items are displayed in the list.
  • Show Configured Items
    The list only contains the number of entries specified by you under Number of Items.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Compass

  • Description Compass
Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Speed Group
 | Show With a click on the symbol you switch on and off the display of the speed below the compass rose.
Text | Here you change the description above the speed display. The unit of the assigned symbol is automatically displayed in brackets.
Decimal Places | Here you change the number of the decimal places for the display of the speed.
Text Font / Value Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Closed File Button

  • Description File Button

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Settings Group

Filename

Here you select the file that should be opened.

Application

Here you select t the application to open the selected file.

Note

Note

If a tool/program is already assigned for a particular file extension on your computer in Windows Explorer, it does not have to be reassigned in the Panel Designer. The file uses the information in Windows Explorer during runtime.

Image File

Here you change the image for the File Button.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Group Box

  • Description Group Box
Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Text | Here you change the description of the control.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Closed Hex/Text Editor

  • Description Hex/Text Editor

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Editor Layout Group

Here you change the display of the Hex/Text Editor:

  • Hex and Text Field
    Display hex and text field
  • Only Hex Field
    Display hex field only
  • Only Text Field
    Display text field only

Settings Group

Columns per Line

Here you change the display of columns in the Hex field and thus the display of the data bytes.

Interpretation

Here you change the value interpretation:

  • Ascii Encoding
  • Decimal
    For Data data type, two hex values (1 byte) are always converted as a three-digit decimal number.
    For IntegerArray data type, eight hex values (4 bytes) are always converted as a signed ten-digit decimal number.

You can find further information at the descriptions of the properties.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Input/Output Box

  • Description Input/Output Box

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Text Font / Text Box Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Here you change the alignment of the description:

  • Text Left
    To the left of the Properties (Ribbon)
  • Text Right
    To the right of the Properties (Ribbon)
  • Text Top
    Above the Properties (Ribbon)
  • Text Bottom
    Below the Properties (Ribbon)
  • Hide Text
    No description

With a click on the symbol you align the text on the left site of the control.

With a click on the symbol you align the text in the middle of the control.

With a click on the symbol you align the text on the right site of the control.

Value Group

Display

Here you change the interpretation of the values and the number of decimal places.

Note

Note

When entering an improper value, the selection jumps automatically to a value that is permitted for the symbol and its data type.

You can find further information at the descriptions of the properties.

Type

Here you change the display:

  • Physical value
  • Raw value

Alarm Group

Here you change the display for the overshot/undershot of a defined alarm limit value.

  • None
    No display
  • Attributes
    Define alarm limit values on the database level.
    You can implement this by defining special attributes for environment variables or signals. Please note that this option is only available if the corresponding attributes are defined in the database.
  • Database Values
    Take over alarm limit values from database.
    If the limit values for the alarm function correspond to the min./max. values defined in the database, there is no need to define special attributes.
  • User Defined
    User-defined alarm limit values.
    This makes it possible to assign a different limit value pair to each element even if these elements are all linked with the same symbol. This may be necessary for a write-protected database if you would like to change the alarm limit values. Please note that alarm limit values from the database are not adjusted until the panel is loaded.
  • Lower: Change the lower alarm limit value
  • Upper: Change the upper alarm limit value

Lower

Here you change the color of the Input/Output Box when undershot the alarm limit value.

Upper

Here you change the color of the Input/Output Box when overshot the alarm limit value.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed LCD Control

  • Description LCD Control
Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Number of Digits Group
Before Decimal Point | Here you change the number of digits before the decimal point. Possible values: 0 – 20 If the number of digits before the decimal point exceeds the definition, the digits at the front are truncated. A triangle is displayed in the upper left corner of the element during runtime to indicate that not all digits have been displayed. If the number of digits before the decimal point is less than the definition, the extra digits are filled with zeros.
After Decimal Point | Here you change the number of decimal places. Possible values: 0 – 20 If the number of decimal places exceeds the definition, the value is truncated after the defined number. Rounding does not take place. If the number of decimal places is less than the definition, the extra spaces are filled with zeros.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Closed LED Band

  • Description LED Band

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Appearance Group

Length

Here you change the length of the LED Band

Hight

Here you change the height of the LED Band

Rotation

Here you change the rotation angle of the LED Band.

Rotation range -180° bis +180°

You can find further information at the descriptions of the properties.

Here you change the rounding of the corners:

  • Round
    LED Band with rounded corners
  • Square
    LED Band without rounded corners

Here you change the color fading:

  • Fading On
    The color becomes transparent at the edges
  • Fading Off
    The LED Band has a hard colored edge

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Media Player

  • Description Media Player

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Media File Group

Media File

Here you select the file to be played.

Appearance Group

Show Bar

With a click on the symbol you switch on/off the display of a function bar below the display.

Stretch to Fit

With a click on the symbol you activate/deactivate the adaption of the image of the played-back video to the size of the Media Player.

Because the proportions are retained, a black border may be visible on the left and right or top and bottom.

Switch Values Group

Play

Here you change the symbol value that is used to play the media file.

If a media file has been paused, it will be resumed from this point. If the media file has been stopped, it will restart from the beginning.

Pause

Here you change the symbol value that is used to pause a media file that is currently being played.

Stop

Here you change the symbol value that is used to stop the media file.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Media Stream Control

  • Description Media Stream Control
Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Closed Meter

  • Description Meter

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Aperture Angle Group

From

Here you change the opening angle of the Meter. A pointer pointing straight up corresponds to 0 degrees.

To

Value Range Group

Minimum

Here you change the minimum value of the value range of the opening angle

Maximum

Here you change the maximum value of the value range of the opening angle

Needle Group

Here you change the form of the needle.

Needle Color

Here you change the color of the needle.

Pivot Distance %

Here you change the length of the pointer past the pivot point (percent value of the extending part of the needle over its total length).

Alarm Group

With a click on the symbol you switch on/off the display of the overshot/undershot of a defined value range.

Lower

Here you change

  • the lower alarm limit value which, when undershot, triggers a reaction by the meter
  • the color of the pointer when a set limit value is undershot

If the value of the assigned symbol moves back into the range between the upper and lower limit values, the pointer once again takes on the color specified under Needle Color.

Upper

Here you change

  • the upper alarm limit value which, when overshot, triggers a reaction by the meter
  • the color of the pointer when a set limit value is overshot

If the value of the assigned symbol moves back into the range between the upper and lower limit values, the pointer once again takes on the color specified under Needle Color.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed MOST Send Button

  • Description MOST Send Button
Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Text | Here you change the description of the control.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
 | With a click on the symbol you align the text on the left site of the control.
 | With a click on the symbol you align the text in the middle of the control.
 | With a click on the symbol you align the text on the right site of the control.
Send Settings Group
 | Wait for Ack With a click on the symbol you activate/deactivate waiting for a Tx acknowledgment of a sent message, before the next message will be sent.
Timeout (ms) | Here you change the maximum waiting time for an acknowledgment of a sent message before the next message is sent.
Delay (ms) | Here you change the waiting time between messages that have to be sent.
Channel | Here you change the channel on which the messages should be sent. (MOST1, MOST2, …).
Message Hex Dump | Here you specify the messages to be sent. Separate particular messages with a comma. Format: XXXXDDDDTTPPPPPP You can find further information at the descriptions of the properties.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Closed Media Stream Control

  • Description Media Stream Control
Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Closed NM Control

  • Description NM Control

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Settings Group

Network

Here you select the network whose nodes are to be displayed.

Display

Here you change the display of the values within the NM Control:

  • decimal
  • hexadecimal

Auto Size

With a click on the symbol you adapt the size of the NM Control automatically to the number of nodes.

You can find further information at the descriptions of the properties.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Numeric Up/Down

  • Description Numeric Up/Down
Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
 | With a click on the symbol you align the text on the left site of the control.
 | With a click on the symbol you align the text in the middle of the control.
 | With a click on the symbol you align the text on the right site of the control.
Value Range Group
Minimum | Here you change the minimum of the value range.
Maximum | Here you change the maximum of the value range.
Settings Group
Increment | Here you change the increment size between two consecutive Numeric Up/Down values.
Decimal Places | Here you change the number of decimal places.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Closed Panel Control Button

  • Description Panel Control Button
Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Text | Here you change the description of the control.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
 | With a click on the symbol you align the text on the left site of the control.
 | With a click on the symbol you align the text in the middle of the control.
 | With a click on the symbol you align the text on the right site of the control.
Appearance Group
Image File | Here you change the background image for the control.
Settings Group
 | Referenced Panels With a click on the symbol you open the Referenced Panels dialog. Here you can define which panels will be opened when clicking the Panel Control Button. No Panel Editor panels (CNP) can be referenced.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Closed Path Dialog

  • Description Path Dialog

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Dialog Group

Here you change the dialog type:

  • Open File dialog
    Opens a dialog for the file selection
  • Open Folder dialog
    Opens a dialog for the directory selection
  • Save File dialog
    Opens a Save dialog

File Filter

Change the file formats in the Open dialog

Example

Example

All Files|*.*
In Open dialog all files will be displayed.

Excel Files|*.XLS
In Open dialog only XLS files will be displayed.

Excel Files|*.XLS|All Files|*.*
Now you can select in the Data type field of the Open dialog, whether only XLS files or all files will be displayed.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Picture Box

  • Description Picture Box

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Appearance Group

Image File

Here you change the image for the control.

Transparency

Change the transparent color.

The picture transparency is always active. You must only define the color for which the picture should be transparent.

Resize Proportionally

With a click on the symbol you activate/deactivate the proportional increase/decrease (height = width).

Fit Image Size

With a click on the symbol you reset the selected image to its original size.

Here you change the frame of the control:

  • Fixed 3D
    3D frame
  • Fixed Single
    Single frame
  • None
    No frame

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Progress Bar

  • Description Progress Bar

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Appearance Group

Here you change the orientation of the bar chart:

  • Horizontal orientation (minimum on the left side)
  • Vertical orientation (minimum on the top)

Decimal Places

Here you change the number of decimal places for the text output.

Here you change the display whether the symbolic value should be displayed as bar chart and text:

  • Text Left
    To the left of the Properties (Ribbon)
  • Text Right
    To the right of the Properties (Ribbon)
  • Text Top
    Above the Properties (Ribbon)
  • Text Bottom
    Below the Properties (Ribbon)
  • Hide Text
    No description

Value Range Group

Minimum

Here you change the minimum of the value range.

Maximum

Here you change the maximum of the value range.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Radio Button

  • Description Radio Button

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

With a click on the symbol you align the text on the left site of the control.

With a click on the symbol you align the text in the middle of the control.

With a click on the symbol you align the text on the right site of the control.

Switch Value Group

Activated

Here you change the switch value for the control.

Check Position Group

Here you change the alignment of the Radio Button (not of the description) within the control:

  • Top Left
    Align Radio Button at the top left
  • Top Right
    Align Radio Button at the top right
  • Center Left
    Align Radio Button center left
  • Center Right
    Align Radio Button center right

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Start Stop Control

  • Description Start Stop Control

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Border Style Group

Here you change the frame of the control:

  • Fixed 3D
    3D frame
  • Fixed Single
    Single frame
  • None
    No frame

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Static Text

  • Description Static Text
Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Text | Here you change the description of the control.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
 | With a click on the symbol you align the text on the left site of the control.
 | With a click on the symbol you align the text in the middle of the control.
 | With a click on the symbol you align the text on the right site of the control.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Closed Switch/Indicator

  • Description Switch/Indicator

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Image Group

Image File

Change the image for the control.

You must assign an image with image sequences to the Switch/Indicator according to the number of statuses.

Transparency

Change the transparent color.

The picture transparency is always active. You must only define the color for which the picture should be transparent.

Resize Proportionally

With a click on the symbol you activate/deactivate the proportional increase/decrease (height = width).

Fit Image Size

With a click on the symbol you reset the selected image to its original size.

Settings Group

Initialization

Automatic calculation of the state values

The values for the state change are calculated from the following two values and the number of states:

  • Use Start Value to set the value for the first state.
  • Use Increment to set the distance between two states.

State Count

Here you change the number of states.

Switch Values

Here you change the value for the status change.

The values entered during a state change can be concrete values and value ranges.

  • Concrete values

    • The symbolic value is used both for sending (control element) and receiving (display element). For one state, only one value can be configured for sending and receiving.

  • Value ranges
    • When receiving (display element) the symbol, the system checks in which value range the symbolic value lies and the corresponding state is displayed.
    • For sending (control element), still a concrete value is required. If required, you can configure it in the Tx column.

Notation of a Value Range

  • Input using .. or - between the start value and the end value: for example a..b
  • Input using square brackets: for example [a..b]
    Closed interval, i.e. the values are within the value range.
  • Input using round brackets: for example (a..b)
    Open interval, i.e. the values are not within the value range.
  • Input using a round and a square bracket: for example (a..b] or [a..b)
    (a..b]: the first value is not within the value range and the second value is within it
    [a..b): the first value is within the value range and the second value is not within it

Note

Note

  • If you enter the value range without brackets, square brackets will be added automatically.
  • The value for sending is automatically set to the mean value of the value range and is recalculated only when it lies outside the value range. In the meantime you must adjust it, if required.
  • If the value is assigned to two states, the first state (the state with the smaller index) is displayed.

Here you change the behavior of the Switch/Indicator.

As button exactly two Switch Values must be defined. One value for pressing the button and one value for the release of the button.
If you click the Switch/Indicator state 1 will be set and if you release it state 0 is set again.

Here you change the setting which mouse button triggers a status change:

  • Left and Right
    Status change when pressing the left or right mouse button
  • Only Left
    Status change when pressing the left mouse button

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Tab Control

  • Description Tab Control

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Edit Group

Here you change the orientation of the pages:

  • Display pages on the top
  • Display pages on the bottom

With a click on the symbol you add new page.

Selected Tab Group

Tab Caption

Here you change the name of the selected page.

With a click on the symbol you delete the selected page.

With a click on the symbol you move the selected page to the right

With a click on the symbol you move the selected page to the left

Behaviour Group

With a click on the symbol you change the transmission behavior.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Closed Track Bar

  • Description Track Bar

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Appearance Group

Minimum

Here you change the minimum of the value range.

Maximum

Here you change the maximum of the value range.

Here you change the orientation of the scale:

  • Horizontal
    Horizontal orientation (minimum on the left)
  • Vertical
    Vertical orientation (minimum on the bottom)

Display Min/Max

With a click on the symbol you switch on/off the display of Minimum and Maximum of the defined value range.

Here you change the display of the scale lines (ticks):

  • No Ticks
    No scale lines
  • Ticks Top
    Scale lines above the scale
  • Ticks Bottom
    Scale lines below the scale
  • Ticks Top and Bottom
    Scale lines above and below the scale

Show Value Tooltip

With a click on the symbol you switch on/off the display of the current value within a tooltip.

Settings Group

Tick Frequency

Here you change the scale line (tick) spacing.
Tick Frequency must always be a multiple of the Small Change increment.

Small Change

Here, you modify the increment by which the symbol value is modified when the drag point is moved (with the mouse) or when the arrow keys are pressed.

Large Change

Here, you modify the increment by which the symbol value is changed when the keys <Page Down>/<Page Up> are pressed and when you click next to the drag point.

To use the functionality of the keys for the run-time in CANoe/CANalyzer, [image] must be activated in the CANoe/CANalyzer status bar.

Large Change must always be a multiple of the Small Change increment.

Here you change the transmission behavior for pressing a mouse button:

  • All Values
    All defined values are sent until the mouse button will be released
  • Only Last Value
    Only that value will be sent that is selected on release of the mouse button

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Menu ⇒ Ribbon: Where to find What?


Menu -> Ribbon

Menu ⇒ Ribbon

Panel Designer » Ribbon » Where to find What?

Ribbon

With the Panel Designer 10.0 classic menu and toolbar are replaced by a ribbon.

Where to Find What

Up to Panel Designer 9.0 (including all service packs): Menu bar with toolbar

Starting with Panel Designer 10.0: ribbon

File Menu

Menu | Ribbon
New Panel Open Panel... Import Panels... Save Panel Save Panel As... Save All Panels Add Panel to Configuration Close Panel Close All Panels <Resent Panels> Exit | File ribbon tab

Edit Menu

Menu | Ribbon
Undo Redo | Quick Access Toolbar
Cut Copy Paste Delete Check Symbols | Home ribbon tab
Select All | Context menu of the control and panel

View Menu

Menu | Ribbon
Toolbox Symbol Explorer Properties Output Window Reset Window Positions | Home ribbon tab

Layout Menu

Menu | Ribbon
Align Left Center Right Top Middle Bottom Make Same Size Width Height Both Horizontal Spacing Make Equal Both Vertical Spacing Make Equal Both Center in Form Horizontally Vertically Order Bring to Front Send to Back | Home ribbon tab

Settings Menu

Menu | Ribbon
Default Properties... Symbol Explorer Drag & Drop... Grid Properties... | File ribbon tab|Options

Help Menu

Menu | Ribbon
Contents About | File ribbon tab


Data Types of Assigned Symbols

Panel Designer » Toolbox » Data Types of Assigned Symbols

In the following table you can find an overview about valid data types of assigned symbols:

Control | Integer/Long | Float/Double | String | Integer/Long Array | Byte Array (Data) | Non
Analog Gauge | ● | ● | — | — | — | —
Button | ● | ● | — | — | — | —
CAPL Output View | — | — | — | — | — | ●
Check Box | ● | ● | — | — | — | —
Clinometer | ● | ● | — | — | — | —
Clock Control | — | — | ● | ● | — | —
Combo Box | ● | — | — | — | — | —
Compass (Direction/Speed) | ● | ● | — | — | — | —
File Button | — | — | — | — | — | ●
Group Box | — | — | — | — | — | ●
Hex/Text Editor | — | — | ● | ● | ● |
Input/Output Box | ● | ● | ● | — | — | —
LCD Control | ● | ● | — | — | — | —
LED Band | ● | ● | — | — | ● | —
LED Control | ● | ● | — | — | — | —
Media Player | ● | ● | — | — | — | —
Media Stream Control |  |  | — | — | — | ●
Meter | ● | ● | — | — | — | —
MOST Send Button | — | — | — | — | — | ●
NM Control | — | — | — | — | — | ●
Numeric Up/Down | ● | ● | — | — | — | —
Panel Control Button | — | — | — | — | — | ●
Path Dialog | — | — | ● | — | — |
Picture Box | — | — | — | — | — | ●
Progress Bar | ● | ● | — | — | — | —
Radio Button | ● | ● | — | — | — | —
Start Stop Control | — | — | — | — | — | ●
Static Text | — | — | — | — | — | ●
Switch/Indicator | ● | ● | — | — | — | —
Tab Control | ● | — | — | — | — | —
Track Bar | ● | ● | — | — | — | —
User-defined Controls (derived from PluginPanelControl) | ● | ● | — | — | — | —

Assigning Symbols


Pointer

Panel Designer » Windows » Toolbox » Pointer

The role of the pointer is to act as a marker tool within the Toolbox and nothing else.

Once a control has been assigned, the marker in the toolbox will automatically turn into a pointer. You can then configure the controls on the panel exactly as you wish.

Assigning Controls


Analog Gauge

Panel Designer » Windows » Toolbox » Analog Gauge

Use Case

The Analog Gauge can be used as display element for symbol values within a defined value range. Ranges within the value range can be highlighted in color.

The following uses cases are possible with the Analog Gauge:

  • Display of the vehicle speed
  • Display of the engine speed

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the Analog Gauge.
  • With the function setControlForeColor, you can change the Text Color of the Analog Gauge.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.

  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Minimum and Maximum must be set in the Properties.

If Minimum/Maximum of the symbol are set in the database, these are applied automatically as the value range for the display scale. Otherwise, default values are assigned for the value range.

You can subdivide the value range into a maximum of three ranges, which are distinguished by color markings.

Display Element

During runtime of CANoe/CANalyzer, the Analog Gauge indicates the current value of the symbol.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
Appearance Group
Text | Here you change the description of the scale.
Minimum | Here you change the minimum of the value range.
Maximum | Here you change the maximum of the value range.
Scale Angle | Here you change the scale angle.
Arrow Position | Here you change the arrow position (start position).
Mean Range Group
Lower | Here you set the limit of he lower range. The lower limit value could not be smaller than the minimum.
Upper | Here you set the limit of the upper range. The upper limit value could not be higher than the maximum.
Ranges Group
Lower | Here you change the color of the lower range.
 | With a click on the symbol you activate/deactivate the colored display of the lower range.
Mean | Here you change the color of the mean range.
 | With a click on the symbol you activate/deactivate the colored display of the mean range.
Upper | Here you change the color of the upper range.
 | With a click on the symbol you activate/deactivate the colored display of the upper range.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can change color, assignment, angle and label of the scale.

Appearance Arrow

Here you can change width and color of the pointer and size and color of the scale center.

Appearance Frame

Here you can enter settings relating to the frame.

Appearance Ticks

Here you can change length, number and color of the ticks.

The number of ticks Main Ticks Number can only be changed if the automatic calculation Automatic Adjustment is deactivated.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings Range

With the following settings ranges within a defined value range (between Minimum/Maximum) can be highlighted in color.

  • Lower Range

    • Defines Color and Limit of the lower range. The lower limit value could not be smaller than the Minimum.

  • Mean Range

    • Defines the Color of the mean range. The limit value must be set between the Lower Range and the Upper Range.

  • Upper Range

    • Defines Color and Limit of the upper range. The upper limit value could not be higher than the Maximum.

Symbol

Here you can set the Minimum and Maximum of the Analog Gauge. They define the value range of the control.

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


Button

Panel Designer » Windows » Toolbox » Button

Use Case

The Button is a control with which assigned actions can be triggered.

The following uses cases are possible with the Button:

  • Pressing the Start button causes the motor to start.
  • All of the vehicle doors are locked automatically when the Lock switch is actuated.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the Button.
  • With the function setControlForeColor, you can change the Text Color of the Button.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.

  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Control Element

If you click the Button during runtime of CANoe/CANalyzer, the value that you set in the Pressed property will be assigned to the symbol. Setting this value causes a stored action to be triggered.
If you release the Button, the symbol receives the value that you have set in the Released property. This symbol value can also be used to trigger an action.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Text | Here you change the description of the control.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
 | With a click on the symbol you align the text on the left site of the control.
 | With a click on the symbol you align the text in the middle of the control.
 | With a click on the symbol you align the text on the right site of the control.
Switch Values Group
Pressed | Here you change the symbolic value that is set when the button is clicked.
Released | Here you change the symbolic value that is set when the button is released.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to shape, color, and text format.

Note

Note

The display of the Background Color depends on the Use Windows Style setting.
  • Image

    • Opens a dialog to select a picture for the Button.

  • Text

    • Text field for labeling the control.

  • Transparent Color/ Use Transoarent Color
  • Use Windows Style

    • Setting whether the set background color BackColor is to be taken into account when Windows styles are used:

  • If this property is True, the button is always displayed in the respective style, and the set background color is ignored.
  • If this property is False, the set background color is taken into account.

    • In the Windows style classic, the set background color is always taken into account, regardless of this property.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Here you can set the switch values of the control:

  • Switch Value 'Pressed'
    Symbolic value that is set when the button is clicked.
  • Switch Value 'Released'
    Symbolic value that is set when the button is released.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls | Transparency Color


CAPL Output View

Panel Designer » Windows » Toolbox » CAPL Output View

Note

Note

The CAPL Output View is not available in CANalyzer fun.

Use Case

The CAPL Output View is used to output text information from CAPL at runtime.

The following uses cases are possible with the CAPL Output View:

  • Multi-line output of information during a test sequence.
  • A signal value is not set correctly. A message is output in the CAPL Output View as a result of this error. To highlight the message compared to other text, it is output in red.

CAPL Access

Text Output

  • You can use the putValueToControl CAPL function to output text, values, signal values and messages. The contents can be deleted with DeleteControlContent.
  • With CANoe/CANalyzer version 7.5, you can also pass additional parameters with the putValueToControl function to modify the formatting of the output, e.g. to output text in a new paragraph or show values in hexadecimal format.

Note

Note

The maximum length of the displayed text is limited to 16KB (= 16384 characters). If the text is longer older lines will be overwritten regardless of the Output Mode.

Color Highlighting of Upcoming Outputs

  • You can use the setControlForeColor and setControlBackColor CAPL functions to modify the text and background color of the upcoming text output at runtime.
  • The setControlColors function lets you specify the text and background color in one step.
  • The setDefaultControlColors function lets you reset the text and background colors to default values, which are defined in the Panel Designer.

Note

Note

  • Changes to text and background colors made using setControlForeColor, setControlBackColor, setControlColors and setDefaultControlColors at runtime don't take effect until the putValueToControl function is called.
  • Existing text outputs retain their current text and background color.

Visibility

With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

You cannot assign a symbol to the control because it is solely text output and is controlled only via CAPL.

You can configure the control via the ribbon or the Properties Window.

Example

Example

You can carry out the following actions at runtime and/or after measurement stops.

Action | Keyboard Operations | Element Context Menu | Description
Select text | left mouse key | — | You can select a given text segment with the mouse.
Pause/ Resume | None | — | If you move the scroll bar at the right edge of the CAPL Output View element upward during runtime, output into the element is paused. This allows you to view the currently visible text as long as you want. When you move the scroll bar down to the bottom end again, output to the CAPL Output View element resumes and the most recently output text appears.
Copy | <Ctrl>+<C> | • | You can copy selected text segments, including the text and background colors.
Delete all | <Del> | • | Deletes everything in the CAPL Output View element. It is not possible to delete individual segments.
Select all | <Ctrl>+<A> | • | Selects everything in the CAPL Output View element.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Group Font

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Border Style Group

Here you change the frame of the control:

  • Fixed 3D
    3D frame
  • Fixed Single
    Single frame
  • None
    No frame

Output Mode Group

Here you change the text output.
You can specify whether the text is output continuously or whether new outputs overwrite existing ones.

  • Append
    The text is appended continuously.
  • Overwrite
    Incoming text outputs overwrite existing ones.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

You can specify colors and text formatting in the Appearance area.

You can enter a text to describe the element in the Description field. This is shown as a ScreenTip at runtime when the user hovers the mouse over the CAPL Output View.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

You can specify the Output Mode in the Settings area:

  • The Output Mode specifies whether the text is output continuously or whether new outputs overwrite existing ones.
  • If you select the Append option, the text is appended continuously.
  • If you select the Overwrite option, incoming text outputs overwrite existing ones.
    The default mode is Overwrite, ensuring that Multi Display Control elements (Panel Editor) remain functional when converted to CAPL Output View elements (Panel Designer) during a panel conversion.

Assigning Controls | CAPL Output View and panel conversion


Check Box

Panel Designer » Windows » Toolbox » Check Box

Use Case

The Check Box can be used as a control and display element, with which an option can be initiated or displayed.

The following uses cases are possible with the Check Box:

  • Simulation of an error during the test sequence should be possible. If the Check Box is activated, the error scenario will be triggered.
  • Sets a signal to a particular value.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the label.
  • With the function setControlForeColor, you can change the Text Color of the label.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.

  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Control Element

If you activate the Check Box during runtime of CANoe/CANalyzer, the value that you set in the Switch Value 'Checked' property in the Settings category will be assigned to the symbol. Setting this value causes a stored action to be triggered.

If you deactivate the Check Box, the symbol receives the value that you have set in the Switch Value 'Unchecked' property. This symbol value can also be used to trigger an action.

Display Element

The symbol is not set manually. Rather it is set to the Switch Value 'Checked' or Switch Value 'Unchecked' values by simulation or CAPL programs, for example. The Check Box responds accordingly, e.g., by appearing to be activated.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

More Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

With a click on the symbol you align the text on the left site of the control.

With a click on the symbol you align the text in the middle of the control.

With a click on the symbol you align the text on the right site of the control.

Switch Values Group

Activated

Here you change the symbolic value that is set when the check box is activated.

Deactivated

Here you change the symbolic value that is set when the check box is deactivated.

Appearance Group

Here you change the control/display:

  • Check Box
    Control/display as Check Box
  • Button
    Control as Button

Check Position Group

Here you change the alignment of the Check Box (not of the description) within the control:

  • Top Left
    Align Check Box at the top left
  • Top Right
    Align Check Box at the top right
  • Middle Left
    Align Check Box center left
  • Middle Right
  • Align Check Box center right

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to color, and text format.

  • Text

    • Text field for labeling the control.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Display Only

Specifies whether the control is to be used solely for display purposes.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Here you can define the switch values of the control:

Epsilon

If the linked symbol is a double value, then a value may not be detected if it differs from the expected value because of an approximation of the decimal.
Via the Epsilon property, you may set in the Panel Designer a value that specifies up to which tolerated inaccuracy a value is detected.

Note

Note

The control has been configured with a Value = 2 and an Epsilon = 0.01.

If the control receives a symbol value of 2.000000001 or 1.99999999997, then the value 2 is detected as valid and the control changes its status.
If the value 2.05 is received, the control does not change its status.

Note

Note

This setting shall explicitly not be used for displaying ranges of values. The maximum epsilon value is therefore limited to a tenth of the difference between two expected values.

Switch Value 'Checked'

Symbolic value to be set when the check box is activated.

Switch Value 'Unchecked'

Symbolic value to be set when the check box is deactivated.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


Clinometer

Panel Designer » Windows » Toolbox » Clinometer

Use Cases

The Clinometer displays the transverse and the longitudinal slopes (roll and pitch). You can select one of the following views and functions:

  • Transverse slope of a vehicle
  • Longitudinal slope of a vehicle
  • Transverse slope of a airplane
  • Longitudinal slope of a airplane

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Value Color for the display of the speed.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

The view only displays the transverse slope or the longitudinal slope. No combined view is available. The value can be read on the scale in the image or displayed as a number below the image.

You can configure the control via the ribbon or the Properties Window.

Display Element

During runtime of CANoe/CANalyzer the Clinometer indicates the current symbol value.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

View Group

Here you can change the view and the type of the display:

  • Vehicle: Pitch
    Longitudinal slope of a vehicle
  • Vehicle: Roll
    Transverse slope of a vehicle
  • Airplane: Pitch
    Descent and climb of a airplane
  • Airplane: Roll
    Turning flight of a airplane

Value Group

Show

With a click on the symbol you switch on or off the display of the slope below the image.

Decimal Place

With a click on the symbol the slope value below the image is displayed with or without a decimal.

Value Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the color of the background.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance
  • Background Color

    • Defines the background color of the Clinometer.

  • Value Color

    • Defines the color for the slope value.

  • Value Font

    • Sets the font for the slope value.

Clinometer Settings
  • Show Decimal Place

    • Specifies if the slope value below the graphical display shall be displayed with or without a decimal.

  • Show value

    • Specifies if the slope value shall be displayed below the graphical display or not.

  • View

    • Specifies the view and the type of the control

  • Longitudinal slope of a vehicle (pitch)
  • Transverse slope of a vehicle (roll)
  • Descent and climb of a airplane (pitch)
  • Turning flight of a airplane (roll)

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


Clock Control

Panel Designer » Windows » Toolbox » Clock Control

Note

Note

  • In CANalyzer fun, the Clock Control can only display the PC's system time (Mode = Clock, Source = PC System Time). Other use cases are not supported.
  • If you open a panel in CANalyzer fun that has an existing Clock Control which is set to StopWatch mode, the Clock Control is disabled.

Use Case

The Clock Control element lets you display the time in digital form.

The following use cases are possible with the Clock Control:

  • Display of the PC's system time (PC time).
  • Transmission of the time from CAPL to the Clock Control at runtime.
  • Use as a stopwatch.

CAPL Access

Displaying the Time

  • In order to set the time using CAPL at a given point in time, you need to set the Mode = Clock and Source = CAPL properties in the Panel Designer.
  • You can then use the setClockControlTime function to set the time. This function can display the time as:
  • Hours, minutes, seconds or
  • Seconds (converted to hours, minutes, seconds at runtime)
  • The symbol is updated when the time is set in CAPL.

Use as a Stopwatch

To use the Clock Control as a stopwatch, you need to set the Mode = StopWatch property in the Panel Designer.

  • The start time is always 00:00:00 or 00:00 (depending on the Display Seconds property setting) and cannot be changed.
  • You use CAPL functions to start, stop and reset the stopwatch.
  • The clockControlStart function starts the stopwatch. It is updated every second.
  • clockControlStop stops the stopwatch. The currently displayed stop time remains visible; it is not automatically reset to zero. If you restart the clock, it will continue from this position.
  • You can reset the clock (to the start time) using the clockControlReset function.
  • The current time is only written to the symbol when the clock starts or stops.
    The cyclical updates that take place every second are not written to the symbol.

Note

Note

  • The stopwatch runs from 00 to 99 o'clock and then starts again at 00 o'clock.
  • You can only start and reset the stopwatch when it is not running.

Visibility

  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Specifying Colors

  • You can use the setControlForeColor and setControlBackColor CAPL functions to modify the text and background color at runtime.
  • The setControlColors CAPL function lets you specify the text and background color in one step.
  • The setDefaultControlColors CAPL function lets you reset the text and background colors to default values, which are defined in the Panel Designer.

The color Segment Color Off of switched off segments cannot be changed via CAPL.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

The symbol is updated at runtime in the following way, depending on the data type selected and whether the 12-hour clock convention is used:

Property 'Display Style' | Data type 'String' | Data type 'Integer Array'
24h | hh:mm:ss | A[0] = hh A[1] = mm A[2] = ss
12h | hh:mm:ss AM hh:mm:ss PM | A[0] = hh A[1] = mm A[2] = ss A[3] = 0 for AM A[3] = 1 for PM

Note

Note

A[3] is updated for both the 24-hour and 12-hour display modes to prevent access errors from triggering a crash.

Note

Note for Symbol Updates

If the panel is closed in CANoe at runtime, the time cannot be written to the corresponding symbol. In this case, the Clock Control and its symbolic link are not recognized in CANoe.

You can configure the control via the ribbon or the Properties Window.

Example

Example: Displaying the PC's System Time

  • To display the PC's system time, you need to set the Mode = Clock and Source = PCSystemTime properties in the Panel Designer.
  • The PC's system time is shown as the time when measurement starts.
  • The display is updated cyclically (every second).
  • The current time is written to the symbol cyclically (every second).

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Settings Group

Here you change the usage:

  • Clock
    In this case, you also need to configure the Source property.
  • Stop Watch
    The stop watch always starts at zero. You cannot modify this start value. The clock is updated every second.

Display Seconds

With a click on the symbol you change display.

With activated option the time display includes seconds as well as hours and minutes.

Style

Here you change the time setting:

  • 12h format, (i.e. a 12-hour clock with AM/PM)
  • 24h format

Note

Note

This property is disabled when StopWatch mode is selected.

Source

Here you change the source of the time:

  • System Time
    The system time of the PC is used.
  • CAPL
    The time in the control is set via CAPL.

Note

Note

This property is disabled when StopWatch mode is selected.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to color and text format:

  • Background Color

    • Defines the background color of the Clock Control

  • Background Is Transparent
  • Makes it possible to see through the control's background.
  • If you set this property to True, the Background Color property is disabled and is not used.
  • If you set the property to False, the control is displayed using the specified background color.
  • Display Seconds
  • Here you can specify whether the time display should include seconds as well as hours and minutes.
  • If you set the property to True, the display shows hh:mm:ss.
  • If you set the property to False, the display shows hh:mm.
  • Display Style
  • This is where you specify whether the time is shown in:
  • 12h format (i.e. a 12-hour clock with AM/PM) or
  • 24h format
  • If you select the 12-hour clock format with AM/PM (Display Style = 12h) the display works as follows:
  • 0 o'clock/24:00 is shown as 12:00 AM.
  • 12:00 noon is shown as 12:00 PM.
    • Note

    Note

    The Display Style property does not apply and is disabled when the stopwatch function is used.
  • Segment Color Off

    • Defines the color for segments that are switched off.

  • Segment Color On

    • Defines the color for segments that show the current time (and are thus switched on).

  • Segment Strength

    • Defines the line point size for the segments.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

In the Settings area, you can specify:

  • Mode
  • The Mode property specifies the mode used for the Clock Control.
  • Clock configures the control to show the time.
    In this case, you also need to configure the Source property.
  • StopWatch configures the control as a stopwatch.
    The stopwatch always starts at zero. You cannot modify this start value.
    The clock is updated every second.
  • Source
  • The Source property specifies the time source to be used when the control is in Clock mode.
  • If you select PC System Time, the PC's system time is used.
  • If you select CAPL, the time in the control is set via CAPL.
Note

Note

This property is disabled when StopWatch mode is selected.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls | Clock Control and panel conversion


Combo Box

Panel Designer » Windows » Toolbox » Combo Box

Use Case

The Combo Box can be used as a control and display element for selecting or displaying symbolic values from value tables of a database or system variable definition.

The following use cases are possible with the Combo Box:

  • Sets the ignition lock to the Lock, Off, On, or Start status.
  • Sets the hand brake statuses.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the label.
  • With the function setControlForeColor, you can change the Text Color of the label.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

Assign a symbol to the Combo Box in the Panel Designer.
A value table with symbolic values must be assigned to the symbol so that the symbolic values can be selected and displayed during runtime of CANoe/CANalyzer.

You can configure the control via the ribbon or the Properties Window.

Control Element

During runtime of CANoe/CANalyzer you can select a symbolic value in the Combo Box that is assigned to the symbol.

Display Element

The symbol value is not set manually. Rather it is set by simulation or CAPL programs, for example. The Combo Box displays the symbolic value automatically.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Text Font / Combo Box Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Appearance Group

Here you change the list type:

  • Drop Down List
  • Simple list
  • Flat Drop Down List

Here you change the alignment of the description:

  • Text Left
    To the left of the Combo Box
  • Text Right
    To the right of the Combo Box
  • Text Top
    Above the Combo Box
  • Hide Text
    No description

Here you change the number of displayed items:

  • Show All Items
    All available items are displayed in the list.
  • Show Configured Items
    The list only contains the number of entries specified by you under Number of Items.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to shape, color, text format and text alignment.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Display Only

Specifies whether the control is to be used solely for display purposes.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Here you can specify the appearance of the open drop-down list.

  • Show Values

    • With this property, you specify whether to additionally display the decimal/hexadecimal value behind the symbolic value (in brackets). In this way, you recognize at a glance the "symbolic value - raw value" assignment.

    Here you can set the display to hexadecimal or binary format.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols: Symbols for which a value table is stored.

Assigning Controls


Compass

Panel Designer » Windows » Toolbox » Compass

Use Cases

The Compass is used to display the cardinal points and the speed.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Value Color for the display of the speed.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

The compass is composed of two controls. Therefore assign a symbol to the display of the cardinal points (Direction) and the display of the speed (Speed) in the Panel Designer.

If you assign one or several symbols to the compass using drag and drop or via the context menu, the Assign Symbols dialog is opened in which you can assign the symbols to the two controls on the compass (Direction and Speed). On the left side of the dialog, you can see all symbols which you have assigned to the compass. You can assign these symbols to the controls on the right side using drag and drop. Symbols which are already assigned to one of the two controls, are marked with [image].

Use [image] to remove an already assigned symbol.

Note

Note

  • If you drag a system variable of the type GPS::GPSData on the panel, a compass is automatically inserted and linked to the structure members Direction and Speed.
  • If you drag a system variable of the type GPS::GPSData on a compass, the structure members Direction and Speed are automatically linked to the corresponding controls on the compass.
  • If you drag symbols with the name Direction and Speed on a compass, they are automatically linked to the corresponding controls on the compass.

If you want to remove a symbol assignment via the context menu command Detach Selected Symbols, a dialog opens in which you can select one or all assignments using [image].

You can configure the control via the ribbon or the Properties Window.

Display Element

During runtime of CANoe/CANalyzer the Compass indicates the current symbol value.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Speed Group
 | Show With a click on the symbol you switch on and off the display of the speed below the compass rose.
Text | Here you change the description above the speed display. The unit of the assigned symbol is automatically displayed in brackets.
Decimal Places | Here you change the number of the decimal places for the display of the speed.
Text Font / Value Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance
  • Description Color

    • Defines the color for the Speed Description.

  • Description Font

    • Defines the font for the Speed Description.

  • Value Color

    • Defines the color for the speed indicator.

  • Value Font

    • Defines the font for the speed indicator.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Speed Settings
  • Decimal Places

    • Indicates the number of decimal places for the speed indicator.

  • Speed Description

    • Description text above the speed indicator. Beside the text the unit of the assigned symbol will be displayed in brackets automatically.

  • Show Speed

    • Specifies whether the speed should be displayed below the compass rose or not.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


File Button

Panel Designer » Windows » Toolbox » File Button

Use Case

With the File Button you can call up any desired file.

The following use cases are possible with the File Button:

  • Starts a script. Once parameter and signal value definitions have been specified in an Excel file, the File Button is used to start a script that generates test cases with information from the Excel file.
  • Opens a text file that displays information on the CANoe/CANalyzer configuration.

CAPL Access

With the CAPL function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a file to the File Button in the Panel Designer.

You can configure the control via the ribbon or the Properties Window.

During runtime of CANoe/CANalyzer you can open the selected file with the File Button.

If required, the program (Application) and also parameters can be provided along with the file, in order to open the file with the desired program.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Settings Group

Filename

Here you select the file that should be opened.

Application

Here you select t the application to open the selected file.

Note

Note

If a tool/program is already assigned for a particular file extension on your computer in Windows Explorer, it does not have to be reassigned in the Panel Designer. The file uses the information in Windows Explorer during runtime.

Image File

Here you change the image for the File Button.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can specify the color and the button picture.

  • Image

    • Opens a dialog to select a picture for the File Button.

  • Use Windows Style

    • Setting whether the set background color BackColor is to be taken into account when Windows styles are used:

  • If this property is True, the button is always displayed in the respective style, and the set background color is ignored.
  • If this property is False, the set background color is taken into account.

    • In the Windows style classic, the set background color is always taken into account, regardless of this property.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Here you can specify the file that is to be opened via the File Button.

Also you can determine the program to open the specified file and the working directory in that the program should be executed.

Note

Note

If a tool/program is already assigned for a particular file extension on your computer in Windows Explorer, it does not have to be reassigned in the Panel Designer. The file uses the information in Windows Explorer during runtime.

Assigning Controls


Group Box

Panel Designer » Windows » Toolbox » Group Box

Use Case

The Group Box is a static element and serves to combine multiple elements.

The following use cases are possible with the Group Box:

  • The four ignition statuses are represented by four options. These are grouped in a group box.
  • All signals of a message are grouped in a group box.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlForeColor, you can change the Text Color of the Group Box.
  • With the function setControlBackColor, you can change the Background Color of the Group Box.
  • With the function setDefaultControlColors, you can reset the text and background color to the default values defined in the Panel Designer.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Note

Note

If the Use Windows Style property is set to True the setting of the text and background color via CAPL is not effective.

Configuration

Drag the relevant controls to the Group Box in the Panel Designer. The font type and size of the Group Box is assigned automatically to the controls.

Use the snaplines that appear to arrange the controls as required.

Note

Note

When you move the Group Box, all the controls inside it will move too, but this will not affect how they are arranged within the box.

You can configure the control via the ribbon or the Properties Window.

The Group Box and the elements it contains are displayed during runtime of CANoe/CANalyzer.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Text | Here you change the description of the control.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to color, and text format.

  • Text

    • Text field for labeling the control.

  • Use Windows Style

    • Setting whether the set text and background color Background Color is to be taken into account when Windows styles are used:

  • If this property is True, the Group Box is always displayed in the respective style, and the set text and background color is ignored.
  • If this property is False, the set text and background color is taken into account.

    • In the Windows style classic, the set text and background color is always taken into account, regardless of this property.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

| Assigning Controls |


Hex/Text Editor

Panel Designer » Windows » Toolbox » Hex/Text Editor

Use Case

The Hex/Text Editor can be used as a control and display element for inputting and displaying larger quantities of data.

In the Hex/Text Editor Ascii characters or decimal values can be displayed in hex format.

The following use cases are possible with the Hex/Text Editor:

  • Display of data bytes in hex format
  • Display of data bytes in decimal format
  • Display of integer arrays in hex format
  • Display of integer arrays in decimal format
  • Use as text output

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the Hex/Text Editor.
  • With the function setControlForeColor, you can change the Text Color of the Hex/Text Editor.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Control Element

During runtime of CANoe/CANalyzer, you can enter text/hexadecimal values in the Hex/Text Editor.

Display Element

The symbol value is not set manually. Rather it is set by simulation or CAPL programs, for example. The Hex/Text Editor displays the symbolic value automatically.

Note

Note

If the Text field is read only, values cannot be copied from it.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Editor Layout Group

Here you change the display of the Hex/Text Editor:

  • Hex and Text Field
    Display hex and text field
  • Only Hex Field
    Display hex field only
  • Only Text Field
    Display text field only

Settings Group

Columns per Line

Here you change the display of columns in the Hex field and thus the display of the data bytes.

Interpretation

Here you change the value interpretation:

  • Ascii Encoding
  • Decimal
    For Data data type, two hex values (1 byte) are always converted as a three-digit decimal number.
    For IntegerArray data type, eight hex values (4 bytes) are always converted as a signed ten-digit decimal number.

You can find further information at the descriptions of the properties.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to color, and text format.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Display Only

Specifies whether the control is to be used solely for display purposes.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Here you can specify the display format for fields (hex/text) and columns.

  • Columns/Letter per Line

    • Specifies the display of columns in the Hex field and thus the display of the data bytes.

  • Editor Layout

    • Defines the display of the Hex/Text Editor. Here, you can select whether you want to display the Hex field only, the Text field only, or a combination of both.

  • Fixed Length (for data type Data and String)

    • Specifies how many bytes (characters) are to be displayed. This allows the rear part of a symbol to be hidden.
    When sending, Fixed Length bytes (characters) of the old symbol value are always replaced. If less than Fixed Length bytes are specified, null bytes (0x00) are added for Data data type and blank spaces are added for String data type until Fixed Length is filled.
    If Fixed Length <= 0, the length is variable as before.
    Possible values: Integers > 0 and -1. For values <= 0, Fixed Length is set to -1.

  • Start Offset (for data type Data and String)

    • Specifies the position starting from which the bytes (characters) of the symbol are to be displayed. This allows the front part of a symbol to be hidden.
    When sending, the bytes before the Start Offset are not changed. If Start Offset is greater than the length of the existing symbol, null bytes (0x00) are added for Data data type and blank characters are added for String data type until Start Offset is filled.
    Possible values: Integers > = 0

  • Text Field Interpretation

    • Here, you can select whether the values are to be interpreted as Ascii characters or decimal values.
    Decimal selection:
    For Data data type, two hex values (1 byte) are always converted as a three-digit decimal number.
    For IntegerArray data type, eight hex values (4 bytes) are always converted as a signed ten-digit decimal number.

Note

Note for Fixed Length and Start Offset

Example 1

Start Offset = 2
Fixed Length = 3
Existing symbol value: 34 35 36 37 38 39 3A
Displayed value: 36 37 38
Value is changed to: 3F
New symbol value: 34 35 3F 00 00 39 3A

Example 2

Start Offset = 2
Fixed Length = 3
Existing symbol value: 34
Displayed value:
Value is changed to: 3A 3B
New symbol value: 34 00 3A 3B 00

Example 3

Start Offset = 2
Fixed Length = -1
Existing symbol value: 34 35 36 37 38 39 3A
Displayed value: 36 37 38 39 3A
Value is changed to: 3F
New symbol value: 34 35 3F

Example 4

Start Offset = 2
Fixed Length = -1
Existing symbol value: 34
Displayed value:
Value is changed to: 3F
New symbol value: 34 00 3F

Behavior of various data types and representations.

Data Type | Text File Interpretation | Text field "read only" | Columns/Letter per Line
String | AsciiEncoding | — | variable
Data | AsciiEncoding | — | variable
 | Decimal | • | variable
Integer-Array | AsciiEncoding | • | 4
 | Decimal | • | 4

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


Input/Output Box

Panel Designer » Windows » Toolbox » Input/Output Box

Use Case

The Input/Output Box can be used as a control and display element for inputting and outputting symbolic values.

The following use cases are possible with the Input/Output Box:

  • Display of wheel speed
  • Sets the vehicle speed to a particular value.
  • When the engine speed of 3000 revolutions per minute is exceeded, the Input/Output Box turns red.

CAPL Access

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the Input/Output Box.
  • With the function setControlForeColor, you can change the Text Color of the Input/Output Box.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

You can assign a color for the box background and/or box text to highlight a violation the valid signal value range (value range is exceeded or fallen below).

Control Element

You can enter a value in the field during runtime of CANoe/CANalyzer. This value is assigned to the symbol.

Display Element

The symbol value is not set manually. Rather it is set by simulation or CAPL programs, for example. The Input/Output Box displays the value of the symbol automatically.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Text Font / Text Box Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Here you change the alignment of the description:

  • Text Left
    To the left of the Input/Output Box
  • Text Right
    To the right of the Input/Output Box
  • Text Top
    Above the Input/Output Box
  • Text Bottom
    Below the Input/Output Box
  • Hide Text
    No description

With a click on the symbol you align the text on the left site of the control.

With a click on the symbol you align the text in the middle of the control.

With a click on the symbol you align the text on the right site of the control.

Value Group

Display

Here you change the interpretation of the values and the number of decimal places.

Note

Note

When entering an improper value, the selection jumps automatically to a value that is permitted for the symbol and its data type.

You can find further information at the descriptions of the properties.

Type

Here you change the display:

  • Physical value
  • Raw value

Alarm Group

Here you change the display for the overshot/undershot of a defined alarm limit value.

  • None
    No display
  • Attributes
    Define alarm limit values on the database level.
    You can implement this by defining special attributes for environment variables or signals. Please note that this option is only available if the corresponding attributes are defined in the database.
  • Database Values
    Take over alarm limit values from database.
    If the limit values for the alarm function correspond to the min./max. values defined in the database, there is no need to define special attributes.
  • User Defined
    User-defined alarm limit values.
    This makes it possible to assign a different limit value pair to each element even if these elements are all linked with the same symbol. This may be necessary for a write-protected database if you would like to change the alarm limit values. Please note that alarm limit values from the database are not adjusted until the panel is loaded.
  • Lower: Change the lower alarm limit value
  • Upper: Change the upper alarm limit value

Lower

Here you change the color of the Input/Output Box when undershot the alarm limit value.

Upper

Here you change the color of the Input/Output Box when overshot the alarm limit value.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Alarm Settings

Here you specify whether and how exceeding of the defined value range is to be displayed.

  • Alarm Display

    • Configuration of alarm limit values:

  • Attributes
    If you want to define alarm limit values on the database level, you can implement this by defining special attributes for environment variables or signals.
    Please note that this option is only available if the corresponding attributes are defined in the database.
  • DBValues
    If the limit values for the alarm function correspond to the min./max. values defined in the database, there is no need to define special attributes. Instead of that, select this option, which uses the min./max values of the currently selected environment variable or the currently selected signal of the alarm limit values.
  • UserDefinedValues
    You can adjust limit values directly with this option. This makes it possible to assign a different limit value pair to each element even if these elements are all linked with the same symbol. This may be necessary for a write-protected database if you would like to change the alarm limit values.
    Please note that alarm limit values from the database are not adjusted until the panel is loaded.
  • Lower Limit and Upper Limit

    • Definition of upper and lower alarm limit values which, when overshot or undershot, trigger reaction by the Input/Output Box.

  • Lower Limit Text/Background Color and Upper Limit Text/Background Color

    • Color of the Input/Output Box when a set limit value is overshot or undershot.

Appearance

Here you can enter settings relating to shape, color, and text format.

Appearance Description

Here you can enter settings relating to shape, color, and text format of the description text.

  • Description and Display Description

    • Display and position of the assigned symbol's name next to the Input/Output Box.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Display Only

Specifies whether the control is to be used solely for display purposes.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings
  • Send On Focus Lost
    Here you specify when the value entered in the input/output box must be sent. Please note that the input/output box can programmatically receive (e.g. during loading of the configuration) and loose the focus again (e.g. in case of desktop replacement). Therefore, it may be a good idea to set the option to False.
  • If this option is True, the entered value in the Input/Output Box will be sent as soon as the focus on the Input/Output Box is lost.
  • If this option is False, the entered value in the Input/Output Box will only be sent after pressing <Return>.
  • Send the Same Value Again
  • If the option is True, the same value can be sent again. However, you must always explicitly confirm the value by pressing the <Enter> key to initiate sending.
  • If the option is False, the same values cannot be sent. Values can be sent only if they change.
  • Decimal Places, Show Leading Zeros, Value Interpretation, Value Type
    Details for the display of the symbol value inside the text field.

Value Interpretation

Value

Description

Text

Display of the symbol value as text.

Decimal

Display of the symbol value as decimal number.

Hexadecimal

Display of the symbol value as hexadecimal number.

Binary

Display of the symbol value as binary number.

Double

Display of the symbol value as floating-point number.

Science

Display of the symbol value in scientific notation.

Symbolic
  • If a symbol with value table is assigned to the Input/Output Box, the symbolic value from the value table is displayed.
    If the symbolic value is not available in the value table, the numeric value is displayed.
  • If a diagnostic parameter is assigned to the Input/Output box, a textual representation of the value is displayed, e.g. the value and unit. If no special textual representation is available, the numeric value of the diagnostic parameter is displayed.

Note

Note

When entering an improper Value Interpretation value, the selection jumps automatically to a value that is permitted for the symbol and its data type.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


LCD Control

Panel Designer » Windows » Toolbox » LCD Control

Use Cases

The LCD Control is used to display floating-point numbers. The individual digits have the appearance of an LCD display.

The following use cases are possible with the LCD Control:

  • Display of vehicle speed
  • Display of motor speed

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the LCD Control.
  • With the function setControlForeColor, you can change the Text Color of the LCD Control.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

The color of the switched off segments Segment Color Off cannot be changed via CAPL.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Display Element

During runtime of CANoe/CANalyzer the LCD Control indicates the current symbol value.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Number of Digits Group
Before Decimal Point | Here you change the number of digits before the decimal point. Possible values: 0 – 20 If the number of digits before the decimal point exceeds the definition, the digits at the front are truncated. A triangle is displayed in the upper left corner of the element during runtime to indicate that not all digits have been displayed. If the number of digits before the decimal point is less than the definition, the extra digits are filled with zeros.
After Decimal Point | Here you change the number of decimal places. Possible values: 0 – 20 If the number of decimal places exceeds the definition, the value is truncated after the defined number. Rounding does not take place. If the number of decimal places is less than the definition, the extra spaces are filled with zeros.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance
  • Background Color

    • Defines the background color of the LCD control

  • Background Is Transparent

    • Allows the control background to show through.

  • If the property is set to True, the Background Color property is grayed out and cannot be used.
  • If the property is set to False, the element is displayed with the specified background color.
  • Segment Color Off

    • Defines the color for switched-off segments.

  • Segment Color On

    • Defines the color for segments that display the current number and are thereby switched on.

  • Segment Strength

    • Defines the line thickness of the segments.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings
  • Decimal Places

    • Indicates the number of decimal places.
    Possible values: 0 – 20

    If the number of decimal places exceeds the definition in Decimal Places, the value is truncated after the defined number. Rounding does not take place.
    If the number of decimal places is less than the definition in Decimal Places, the extra spaces are filled with zeros.

  • Number of Digits

    • Indicates the number of digits displayed before the decimal point.
    Possible values: 0 – 20

    If the number of digits before the decimal point exceeds the definition in Number of Digits, the digits at the front are truncated. A triangle is displayed in the upper left corner of the element during runtime to indicate that not all digits have been displayed.
    If the number of digits before the decimal point is less than the definition in Number of Digits, the extra digits are filled with zeros.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


LED Band

Panel Designer » Windows » Toolbox » LED Band

Use Cases

The LED Band is a display element to highlight areas on a panel for a defined state.

The following use cases are possible with the LED Band:

  • Highlighting a defined area in a special color.
  • To display the different interior lightning settings within a vehicle.

CAPL Access

With the CAPL function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Display Element

During runtime of CANoe/CANalyzer the symbol value is interpreted as a color value including transparency level. The LED Band is displayed in the indicated color and the indicated transparency.

Changing the LED Band with the Mouse

Select the LED Band and move the mouse over the displayed image. The following white selection points are then displayed.

Use the two outer points to move the endpoints of the LED Band and thus change the properties

  • Location
  • LED Band Length
  • Rotation
  • Size

Use the middle point to change the height of the LED Band and thus change the properties

  • Location
  • LED Band Height
  • Size

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Appearance Group

Length

Here you change the length of the LED Band

Hight

Here you change the height of the LED Band

Rotation

Here you change the rotation angle of the LED Band.

Rotation range -180° bis +180°

You can find further information at the descriptions of the properties.

Here you change the rounding of the corners:

  • Round
    LED Band with rounded corners
  • Square
    LED Band without rounded corners

Here you change the color fading:

  • Fading On
    The color becomes transparent at the edges
  • Fading Off
    The LED Band has a hard colored edge

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Color

Defines the color the LED Band should have at the time of the design.
This property is not used during runtime because the color is determined here by the symbol value.

Fade Color

Specifies whether the LED Band is to have a soft colored edge.
True: The color becomes transparent at the edge
False: The LED Band has a hard colored edge

LED Band Height

Defines the height of the LED Band.

LED Band Length

Defines the length of the LED Band. The value corresponds to the distance between the two outer selection points (see figure above).

Rotation

Defines the rotation angle of the LED Band.
Rotation range: -180° to +180°

Example:

Round Corners

Specifies whether the LED Band is to be displayed rounded off at the ends.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Location/Size

Here you can enter settings relating to the position of the control.
The size cannot be changed here. It can be changed with the mouse or via the LED Band Height, LED Band Length and Rotation properties.

Settings

Value Interpretation

Defines how the symbol value should be interpreted as color.
For this the symbol value is interpreted as 4 bytes and the color results from which value is contained in which byte.

  • A RGB: [0] = Alpha (transparency), [1] = Red, [2] = Green, [3] = Blue
  • RGB A: [0] = Red, [1] = Green, [2] = Blue, [3] = Alpha (transparency)

Transparency range:

  • 0 corresponds to 0% color opacity
  • 255 corresponds to 100% color opacity

Date type Data: The bytes [0] to [3] are used. If fewer bytes are present, zeros are filled up.
Data type Integer: The value is split into 4 bytes.

With the function MakeARGB you can calculate from the alpha value and the RGB values the symbol value for the Value Interpretation ARGB. This symbol value is used for the display in the control.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


LED Control

Panel Designer » Windows » Toolbox » LED Control

Use Cases

The LED Control can be used as a control and display element for selecting and displaying of two defined states (LED on/LED off). The individual statuses are shown graphically.

The following use cases are possible with the LED Control:

  • Switching on and switching off a lamp
  • Indicates that a particular state is reached

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlForeColor, you can change the LED Color On of the LED Control.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Control Element

During runtime of CANoe/CANalyzer, you can actuate the LED Control; the corresponding symbol value is assigned to the symbol and the LED Control displays the associated state.

Display Element

The symbol is not set manually to a defined condition. Rather it is set by simulation or CAPL programs, for example. The LED Control displays the associated state.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
 | Display Only With a click on the symbol you switch between control and display element. With activated option the control is used as display element.
Switch Values Group
Off | Here you change the symbol value and the color for the switched off LED Control.
On | Here you change the symbol value and the color for the switched on LED Control.
Form Group
 | Here you change the form of the LED.
Appearance Group
 | Display Frame With a click on the symbol you activate/deactivate the display of a LED frame.
 | Resize Proportionally With a click on the symbol you activate/deactivate the proportional increase/decrease (height = width).
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

LED Color Off

Defines the color for the switched-off LED Control.
If this color is displayed, the symbol value does not correspond to the specified value On Value.

LED Color On

Defines the color for the switched-on LED Control.
If this color is displayed, the symbol value corresponds to the specified value On Value.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Display Only

Specifies whether the control is to be used solely for display purposes.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Display Frame

Specifies whether a frame is to be drawn around the LED Control.

Epsilon

If the linked symbol is a double value, then a value may not be detected if it differs from the expected value because of an approximation of the decimal.
Via the Epsilon property, you may set in the Panel Designer a value that specifies up to which tolerated inaccuracy a value is detected.

Note

Note

The control has been configured with a Value = 2 and an Epsilon = 0.01.

If the control receives a symbol value of 2.000000001 or 1.99999999997, then the value 2 is detected as valid and the control changes its status.
If the value 2.05 is received, the control does not change its status.

Note

Note

This setting shall explicitly not be used for displaying ranges of values. The maximum epsilon value is therefore limited to a tenth of the difference between two expected values.

Is Proportional

Specifies whether the LED Control is to be increased or decreased proportionally (height = width).

LED Style

Specifies the form of the LED Control.

Off Value

Symbol value that is to be set on switch-off of the LED Control (for use as control element).

On Value

Defines the symbol value for which the LED color LED Color On is displayed.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


Media Player

Panel Designer » Windows » Toolbox » Media Player

Use Cases

The Media Player is used to play media files (audio files, videos, etc.).

The following use cases are possible with the Media Player:

  • Plays operating manuals in media formats.
  • Stores defined events with signal tones.

CAPL Access

The control can be activated with the following CAPL functions:

  • You can use the function putValue to start, stop, and pause the Media Player, by applying the defined values under Switch Value Play, Switch Value Stop, and Switch Value Pause to the symbol assigned to the control.
  • With the function setMediaFile, you can exchange the media file during runtime. On the next measurement start, the media file selected in the Panel Designer will be reloaded.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Note

Note

The Vector Media Player uses the Windows Media Player. A codec is expected for special files (e.g., AVI). If this is not present, an attempt is made to establish an Internet connection in order to find and install the missing codec. To prevent this, the File|Work Offline setting must be selected in the Windows Media Player.

If a required codec is not present, the file will be played but an image will not appear or the preset visualization will be shown. The sound is reproduced. An error provider in the Vector Media Player references the missing codec.

To be certain that the file can be played, you should play it in Windows Media Player in advance.

You can use the assigned symbol to play, stop, and pause the selected media file. The individual statuses are defined using the Play, Stop, and Pause symbol values.

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Depending on the configuration you can also operate the Media Player using a displayed toolbar. This has no effect on the linked symbol.

The defined symbol value for Play is checked at the measurement start. If the defined value is reached, the selected media file is played. The media file is stopped at the measurement end.

If a change is made to another desktop, a media file that is currently being played will be stopped automatically.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Media File Group

Media File

Here you select the file to be played.

Appearance Group

Show Bar

With a click on the symbol you switch on/off the display of a function bar below the display.

Stretch to Fit

With a click on the symbol you activate/deactivate the adaption of the image of the played-back video to the size of the Media Player.

Because the proportions are retained, a black border may be visible on the left and right or top and bottom.

Switch Values Group

Play

Here you change the symbol value that is used to play the media file.

If a media file has been paused, it will be resumed from this point. If the media file has been stopped, it will restart from the beginning.

Pause

Here you change the symbol value that is used to pause a media file that is currently being played.

Stop

Here you change the symbol value that is used to stop the media file.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance
  • Border Style

    • Defines the border of the Media Player.

  • Media

    • Here, you select the file that is to be played.

  • Show Bar

    • Here, you can select whether a toolbar with various buttons and a progress indicator is to be shown below the display

  • Stretch To Fit

    • Here, you can specify whether the image of the played-back video is to be adapted to the size of the Media Player. Because the proportions are retained, a black border may be visible on the left and right or top and bottom.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings
  • Replay All

    • Here, you specify whether or not the media file is to be played in a continuous loop.

  • Switch Value Pause

    • Here, you specify the symbol value that, when reached, will be used to pause a media file that is currently being played.

  • Switch Value Play

    • Here, you specify the symbol value that is to be used to play the media file. If a media file has been paused, it will be resumed from this point. If the media file has been stopped, it will restart from the beginning.

  • Switch Value Stop

    • Here, you specify the symbol value that is to be used to stop the media file.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


Media Stream Control

Panel Designer » Windows » Toolbox » Media Player

Use Cases

The Media Stream Control is used to play streaming media received from the network (audio and video).

The following use cases are possible with the Media Stream Control:

  • Display of a camera image of an in-network camera.
  • Playing of a tone sequence from an audio stream of an on-board computer.
  • Integrate video/audio sequences in a dashboard that is represented by a panel.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

The capability of the control to render streaming media depends on the format of the streaming content on the network and the availability of a codec used for decoding this streaming content.

The following network protocols are supported:

  • MAC Layer: AVTP Protocols according to IEEE 1722
  • AAF (AVTP Audio Format)
  • CVF (Compressed Video Format), Content: H.264 and MJPEG
  • IP Layer: RTP Encodings (RFC 3550, IEEE 1733)
  • L16 (Uncompressed Audio, RFC 3551)
  • H.264 (Video, RFC 6184)

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance
  • Border Style

    • Defines the border of the Media Stream Control.

  • Media

    • Here, you configure the network media streams that should be played. Once the stream with the configured Stream ID is received during the measurement it is automatically played.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Assigning Controls


Meter

Panel Designer » Windows » Toolbox » Meter

Use Case

The Meter can be used as display element for values within a defined value range. Segments within the value range can be highlighted using a different pointer color.

The following use cases are possible with the Meter:

  • Display of vehicle speed
  • Display of engine speed

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Needle Color of the Meter.
  • With the function setDefaultControlColors, you can reset the needle color to the default value defined in the Panel Designer.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Minimum and Maximum must be set in the Properties.

If Minimum/Maximum of the symbol are set in the database, these are applied automatically as the value range for the display scale. Otherwise, default values are assigned for the value range.

You can position an image behind the Meter, e.g., to give it the appearance of a tachometer.

Display Element

During runtime of CANoe/CANalyzer, the Meter indicates the current value of the symbol.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Aperture Angle Group

From

Here you change the opening angle of the Meter. A pointer pointing straight up corresponds to 0 degrees.

To

Value Range Group

Minimum

Here you change the minimum value of the value range of the opening angle

Maximum

Here you change the maximum value of the value range of the opening angle

Needle Group

Here you change the form of the needle.

Needle Color

Here you change the color of the needle.

Pivot Distance %

Here you change the length of the pointer past the pivot point (percent value of the extending part of the needle over its total length).

Alarm Group

With a click on the symbol you switch on/off the display of the overshot/undershot of a defined value range.

Lower

Here you change

  • the lower alarm limit value which, when undershot, triggers a reaction by the meter
  • the color of the pointer when a set limit value is undershot

If the value of the assigned symbol moves back into the range between the upper and lower limit values, the pointer once again takes on the color specified under Needle Color.

Upper

Here you change

  • the upper alarm limit value which, when overshot, triggers a reaction by the meter
  • the color of the pointer when a set limit value is overshot

If the value of the assigned symbol moves back into the range between the upper and lower limit values, the pointer once again takes on the color specified under Needle Color.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Alarm States

Here you specify whether and how exceeding of the defined value range is to be displayed.

  • Lower Limit and Upper Limit

    • Upper and lower alarm limit values which, when overshot or undershot, trigger reaction by the meter.

  • Lower Limit Color and Upper Limit Color

    • Color of the pointer when a set limit value is overshot or undershot.

    If the value of the assigned symbol moves back into the range between the upper and lower limit values, the pointer once again takes on the color specified under Needle Color.

Appearance

Here you can specify the color and shape of the pointer.

  • Pivot Distance %

    • Length of the pointer past the pivot point (percent value of the extending part of the needle over its total length).

  • Sweep Angle(from/to)

    • Opening angle of the meter. A pointer pointing straight up corresponds to 0 degrees.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Symbol

Here you can enter the Minimum and Maximum of the value range of the opening angle.

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


Method Call Control

Panel Designer » Windows » Toolbox » Method Call Control

Use Case

Note

Note

Only available if the Panel Designer was opened from CANoe/CANalyzer and a configuration with communication objects (service-oriented communication) is loaded there.

The Method Call Control is used to call a function/method. You can set parameters and receive the corresponding return value.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

A function/method is always sent from the consumer to the provider. This means that the consumer sends the function and the provider responds. Accordingly, you can only connect the functions/methods of a client to the control. To do this, drag the desired endpoint to the Method Call Control.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

To enable you to adjust the size of the control optimally, the parameters are displayed immediately after linking to a function/method. The return values are only displayed at runtime of the panel.
It is possible that the parameters may take up more space at runtime than the Panel Designer displays. Therefore, always check the size at runtime.

You can configure the control via the Properties Window.

Display and Control Element

Request

At runtime of CANoe/CANalyzer, you can set and send the parameters of the linked function on the Request page.

Click on the corresponding line and enter a value for the parameter. The [Send] button calls the function/method.

If the parameter is an array, you can open an editor for modifying the parameters with [...].
The first column shows you the size of the array and the second column shows all elements of the array.

If a function/method contains optional parameters, the Send column is displayed in addition to the Parameter Name and Value column. By activating/deactivating the check box you determine whether the parameter is sent or not.
If the parameters of the function/method are mandatory, the Send column remains empty.

The last column shows you whether the value was sent [image] or whether the value was edited and has not been sent yet [image].

The call of the function/method and the wait for the response are indicated the [image] symbol on the [Send] button.

Response

At runtime of CANoe/CANalyzer, the Response page displays the received return value (if available) and the values of the Out parameters (if available).

The Response page title shows you whether the contents of both pages corresponds to each other. If the answer has been received and the parameters on the first page have not been changed, [image] will be displayed. As soon as the parameters are changed after sending, [image] will be shown.

is displayed if the communication does not work, i.e. no confirmation is received after sending the function/method.

The control does not have a history. Only the last response to the function/method call sent by this control is displayed.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Value Type

Determines whether the numerical value of the parameters is to be interpreted as a physical value or as a raw value. The same applies to return value and the out parameters.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


MOST Send Button

Panel Designer » Windows » Toolbox » MOST Send Button

Use Case

The MOST Send Button is a control with which assigned MOST messages can be sent on a specified channels.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the Button.
  • With the function setControlForeColor, you can change the Text Color of the Button.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.

  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

You can configure the control via the ribbon or the Properties Window.

Control Element

If you click the MOST Send Button during runtime of ,CANoe/CANalyzer the defined messages are sent to the corresponding channel at the specified sending interval.

In addition, you can specify whether a waiting period for the receipt confirmation is to be set and, if so, the length of the waiting period.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Text | Here you change the description of the control.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
 | With a click on the symbol you align the text on the left site of the control.
 | With a click on the symbol you align the text in the middle of the control.
 | With a click on the symbol you align the text on the right site of the control.
Send Settings Group
 | Wait for Ack With a click on the symbol you activate/deactivate waiting for a Tx acknowledgment of a sent message, before the next message will be sent.
Timeout (ms) | Here you change the maximum waiting time for an acknowledgment of a sent message before the next message is sent.
Delay (ms) | Here you change the waiting time between messages that have to be sent.
Channel | Here you change the channel on which the messages should be sent. (MOST1, MOST2, …).
Message Hex Dump | Here you specify the messages to be sent. Separate particular messages with a comma. Format: XXXXDDDDTTPPPPPP You can find further information at the descriptions of the properties.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to shape, color, and text format.

Note

Note

The display of the Background Color depends on the Use Windows Style setting.
  • Image

    • Opens a dialog to select a picture for the MOST Send Button.

  • Text

    • Text field for labeling the control.

  • Transparent Color / Use Transparent Color
  • Use Windows Style

    • Setting whether the set background color BackColor is to be taken into account when Windows styles are used:

  • If this property is True, the button is always displayed in the respective style, and the set background color is ignored.
  • If this property is False, the set background color is taken into account.

    • In the Windows style classic, the set background color is always taken into account, regardless of this property.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings
  • Delay (ms)
    Waiting time between messages that have to be sent.
  • Device Name
    Specifies on which channel the messages should be sent. (MOST1, MOST2, …)
  • Message Hexdump
    Specifies messages to be sent. Separate particular messages with a comma.
    Format: XXXXDDDDTTPPPPPP
DDDD | Destination address
TT=00 | Normal control message
TT=01 | RemoteRead
TT=02 | RemoteWrite
TT=03 | Alloc
TT=4F | The configured messages will be sent over the Application Message Service (AMS). The TelLen and TelId byte in the payload area of the Hexdump is ignored. The length of the message is determined by the number of bytes in the payload area.
PPPPPP…PP | Payload hex dump
  • Timeout (ms)
    Maximum waiting time for an acknowledgment of a sent message before the next message is sent.
  • Wait for Ack
    Configures, whether the button waits for a Tx acknowledgment of a sent message, before the next message will be sent.

Assigning Controls | Transparency Color


NM Control

Panel Designer » Windows » Toolbox » NM Control

Use Cases

The NM Control can be used as a control and display element. With the NM Control you can control the OSEK NM DLL (oseknm01.dll) or the AutoSAR NM DLLs (AsrNM30.dll, AsrNM33.dll) on a simulated CAN bus in CANoe.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the NM Controls.
  • With the function setControlForeColor, you can change the Text Color of the NM Controls.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.
  • With the function enableControl, you can activate and deactivate the NM Control.

Configuration

You can not assign a symbol to the NM Control. The corresponding system variables are assigned to the NM Control automatically.

Controlling during Run-Time

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Settings Group

Network

Here you select the network whose nodes are to be displayed.

Display

Here you change the display of the values within the NM Control:

  • decimal
  • hexadecimal

Auto Size

With a click on the symbol you adapt the size of the NM Control automatically to the number of nodes.

You can find further information at the descriptions of the properties.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to color, and text format.

  • Background Color

    • Defines the background color of the NM Control

  • Font

    • Sets the font for all strings.

  • Text Color

    • Defines the font color. The text color of table strings and buttons can not be changed.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Display Only

Specifies whether the control is to be used solely for display purposes.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Note

Note

The tab order within the NM Control can not be changed

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Here, you can make the following settings:

  • Auto Size

    • Here you specify whether the size of the NM Control is to automatically adapt to the number of nodes so that no scrollbars are visible. The size that is predefined at the time of design is then overwritten.

    If you select true the size of the panel will be adapted to the size of the NM Control.
    You can only set the property to true if no other control besides the NM Control has been inserted on the panel. As soon as you position other controls on the panel at the time of design or manually change the size of the NM Control, Auto Size is set to false.

  • Network

    • Specifies the network whose nodes are to be displayed.

  • Number Interpretation

    • Specifies whether the values within the NM Control are displayed as decimal or hexadecimal values.

Steuerelemente zuweisen


Numeric Up/Down

Panel Designer » Windows » Toolbox » Numeric Up/Down

Use Case

Numeric Numeric Up/Down can be used as a control and display element for values within a defined value range.

The following use cases are possible with the Numeric Up/Down:

  • Sets the port number
  • Sets the data bytes used

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the Numeric Up/Down.
  • With the function setControlForeColor, you can change the Text Color of the Numeric Up/Down.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Minimum and Maximum must be set in the Properties.

If Minimum/Maximum of the symbol are set in the database, these are applied automatically as the value range for the display scale. Otherwise, default values are assigned for the value range.

Control Element

During runtime of CANoe/CANalyzer, you can select a value in Numeric Up/Down that is assigned to the symbol.

Display Element

The symbol value is not set manually. Rather it is set by simulation or CAPL programs, for example. In the Numeric Up/Down this value is displayed.

Note

Note

If the value of the assigned symbol exceeds the value range specified with Minimum and Maximum, the Numeric Up/Down remains in the uppermost or bottommost position.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
 | With a click on the symbol you align the text on the left site of the control.
 | With a click on the symbol you align the text in the middle of the control.
 | With a click on the symbol you align the text on the right site of the control.
Value Range Group
Minimum | Here you change the minimum of the value range.
Maximum | Here you change the maximum of the value range.
Settings Group
Increment | Here you change the increment size between two consecutive Numeric Up/Down values.
Decimal Places | Here you change the number of decimal places.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to shape, color, and text format.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings
  • Decimal Places

    • Here, you can specify the number of decimal places.

  • Increment

    • Here, you can specify the increment size between two consecutive Numeric Up/Down values.

  • Up/Down Align

    • Here, you specify the position (left/right) of the Up and Down buttons.

Symbol

Here you can enter the Minimum and Maximum of the value range.

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


Panel Control Button

Panel Designer » Windows » Toolbox » Panel Control Button

Use Case

With the Panel Control Button you can open Panels during the measurement.

Note

Note: Why is there also a Panel Control Button?

CANoe/CANalyzer distinguishes between the following panels:

  • Panels that are assigned to the CANoe/CANalyzer configuration (Home ribbon tab|Panel Configuration)
  • Panels that are not assigned to the CANoe/CANalyzer configuration and are configured using the Panel Control Button. These are identified as referenced panels and appear in the list of referenced panels in the above-mentioned dialog.

If a panel is configured in the CANoe/CANalyzer configuration as well as in the Panel Control Button, it is treated as a panel of the CANoe/CANalyzer configuration.

You can use the Panel Control Button to open several referenced panels of an application range at the touch of a button and, at the same time, to automatically close referenced panels that are no longer needed.

The following use cases are possible with the Panel Control Button:

  • You want to view all messages sent by the same network node.
    The signals of a send message are stored for each panel.
    Insert a Panel Control Button that opens all panels whose messages are sent from the same network node.
    Configure the Panel Control Button in such a way that all other panels are automatically closed.
  • You receive a rest bus simulation for testing a control unit. You are only interested in a particular subset of the panels.
    Remove all panels from the configuration and create a panel in the CANoe/CANalyzer configuration. Insert a Panel Control Button on this panel in order to open and close those panels that are needed to test the control unit.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the Panel Control Button.
  • With the function setControlForeColor, you can change the Text Color of the Panel Control Button.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Create a panel in the Panel Designer to which you add the Panel Control Button. Select the referenced panels. Save the panel and add it to the CANoe/CANalyzer configuration.

During runtime of CANoe/CANalyzer, you can open the selected panels and close panels that are no longer needed at the touch of a button. Panels that are assigned to the CANoe/CANalyzer configuration are not considered, i.e., they will not be closed.

You can configure the control via the ribbon or the Properties Window.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Text | Here you change the description of the control.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
 | With a click on the symbol you align the text on the left site of the control.
 | With a click on the symbol you align the text in the middle of the control.
 | With a click on the symbol you align the text on the right site of the control.
Appearance Group
Image File | Here you change the background image for the control.
Settings Group
 | Referenced Panels With a click on the symbol you open the Referenced Panels dialog. Here you can define which panels will be opened when clicking the Panel Control Button. No Panel Editor panels (CNP) can be referenced.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to shape, color, and text format.

Note

Note

The display of the Background Color depends on the Use Windows Style setting.
  • Image

    • Opens a dialog to select a picture for the Panel Control Button.

  • Text

    • Text field for labeling the control.

  • Use Windows Style

    • Setting whether the set background color BackColor is to be taken into account when Windows styles are used:

  • If this property is True, the button is always displayed in the respective style, and the set background color is ignored.
  • If this property is False, the set background color is taken into account.

    • In the Windows style classic, the set background color is always taken into account, regardless of this property.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Here you can define, which panel will be opened ore closed with the Panel Control Button:

  • Close all other referenced Panels

    • Indicates whether panels that were not explicitly added to the configuration but only referenced by other control buttons are to be closed.

  • Network Panels

    • Opens the Referenced Panels dialog. Here you can define which Network Panels will be opened when clicking the Panel Control Button.
    If you expand the Network Panels property, the selected Rx nodes are displayed (network name::node name).

  • Node Panels

    • Opens the Referenced Panels dialog. Here you can define which Node Panels will be opened when clicking the Panel Control Button.
    If you expand the Node Panels property, the selected Tx nodes are displayed (network name::node name).

  • Referenced Panels

    • Opens the Referenced Panels dialog. Here you can define which panels will be opened when clicking the Panel Control Button.
    No Panel Editor panels (CNP) can be referenced.

Assigning Controls


Path Dialog

Panel Designer » Windows » Toolbox » Path Dialog

Use Case

The Path Dialog is a control and display element for selecting files and folders interactively.

The following use cases are possible with the Path Dialog:

  • Information about the path and the name of an Excel file that contains parameter and signal definitions. This file is used for the generation of test cases.
  • Information about the logging file. The name and the path of the logging file are used in the Logging block of the CANoe/CANaylzer configuration.

CAPL Access

With the CAPL function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Control Element

If you select a folder or file via [image] in the File Dialog during the runtime of CANoe/CANalyzer, the information about the path and the name of the folder/file are stored in the symbol.

An existing path is opened with [image] automatically.

Display Element

The symbol value is not set manually. Rather it is set to a definite order/file by simulation or CAPL programs, for example. In the Path Dialog the corresponding content of the symbol is displayed.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Dialog Group

Here you change the dialog type:

  • Open File dialog
    Opens a dialog for the file selection
  • Open Folder dialog
    Opens a dialog for the directory selection
  • Save File dialog
    Opens a Save dialog

File Filter

Change the file formats in the Open dialog

Example

Example

All Files|*.*
In Open dialog all files will be displayed.

Excel Files|*.XLS
In Open dialog only XLS files will be displayed.

Excel Files|*.XLS|All Files|*.*
Now you can select in the Data type field of the Open dialog, whether only XLS files or all files will be displayed.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to shape, color, and text format.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Here you can configure the dialog for opening folders or files once you have specified the Dialog Type.

  • Copy Name Without Path

    • Option to specify whether or not the path should be displayed along with the folder or file name.

  • Dialog File Filter

    • Display of the file formats in the Open dialog.

Example

Example

All Files|*.*
In Open dialog all files will be displayed.

Excel Files|*.XLS
In Open dialog only XLS files will be displayed.

Excel Files|*.XLS|All Files|*.*
Now you can select in the Data type field of the Open dialog, whether only XLS files or all files will be displayed.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


Picture Box

Panel Designer » Windows » Toolbox » Picture Box

Use Case

The Picture Box is a static element and is used for graphic display.

The following use cases are possible with the Picture Box:

  • The Meter is stored with an image of an instrument panel. In this combination, it displays an instrument panel containing a tachometer and a speedometer with moving pointers.
  • The windshield wipers to be tested are stored with an image of a windshield in order to provide a realistic appearance.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setPictureBoxImage, you can exchange the image file during runtime. On the next measurement start, the image file selected in the Panel Designer will be reloaded.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign an image to the Picture Box in the Panel Designer.

You can configure the control via the ribbon or the Properties Window.

During runtime of CANoe/CANalyzer the image is displayed on the panel.

Note

Note

A Picture Box is always represented with a dashed-lane frame in the Panel Designer. This default setting allows you to recognize the Picture Box on the panel even without an assigned frame or image. The dashed-line frame is not shown in CANoe/CANalyzer.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Appearance Group

Image File

Here you change the image for the control.

Transparency

Change the transparent color.

The picture transparency is always active. You must only define the color for which the picture should be transparent.

Resize Proportionally

With a click on the symbol you activate/deactivate the proportional increase/decrease (height = width).

Fit Image Size

With a click on the symbol you reset the selected image to its original size.

Here you change the frame of the control:

  • Fixed 3D
    3D frame
  • Fixed Single
    Single frame
  • None
    No frame

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to shape, and color format.

  • Image

    • Opens a dialog to select a picture for the Picture Box.

    With the context menu command Fit Image Size you can set the selected image on its original size.

  • Transparent Color

    • The picture transparency is always active. You must only define the color for which the picture should be transparent.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Assigning Controls | Transparency Color


Progress Bar

Panel Designer » Windows » Toolbox » Progress Bar

Use Case

The Progress Bar is used to display a value within a defined value range in the form of a bar. The bar display allows you to quickly see whether the current value is in the lower, medium, or upper range of possible values.

The following use cases are possible with the Progress Bar:

  • Display of engine speed.
  • Display of vehicle acceleration.

CAPL Access

With the CAPL function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Minimum and Maximum must be set in the Properties.

If Minimum/Maximum of the symbol are set in the database, these are applied automatically as the value range for the display scale. Otherwise, default values are assigned for the value range.

Display Element

During runtime of CANoe/CANalyzer the Progress Bar indicates the current symbol value.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Appearance Group

Here you change the orientation of the bar chart:

  • Horizontal orientation (minimum on the left side)
  • Vertical orientation (minimum on the top)

Decimal Places

Here you change the number of decimal places for the text output.

Here you change the display whether the symbolic value should be displayed as bar chart and text:

  • Text Left
    To the left of the Progress Bar
  • Text Right
    To the right of the Progress Bar
  • Text Top
    Above the Progress Bar
  • Text Bottom
    Below the Progress Bar
  • Hide Text
    No description

Value Range Group

Minimum

Here you change the minimum of the value range.

Maximum

Here you change the maximum of the value range.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to color, and text format.

Note

Note

The display of the Background Color depends on the Use Windows Style setting.
  • Display Value

    • Option to specify whether the symbolic value should be displayed using the bar chart only or whether it should also be displayed as text.

Appearance Bar

Here you can enter settings relating to the bar color and the orientation of the entire chart.

  • Use Windows Style

    • Setting whether the set background color BackColor is to be taken into account when Windows styles are used:

  • If this property is True, the button is always displayed in the respective style, and the set background color is ignored.
  • If this property is False, the set background color is taken into account.

    • In the Windows style classic, the set background color is always taken into account, regardless of this property.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

In the Settings category, you can specify the orientation of the bar and the number of decimal places.

Symbol

Here you can enter the Minimum and Maximum of the value range.

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


Radio Button

Panel Designer » Windows » Toolbox » Radio Button

Use Case

The Radio Button can be used as a control and display element for triggering or displaying one option from a list of related options.

The following use cases are possible with the Radio Button:

  • Display of signal status: The four ignition statuses are represented by four options. These are grouped in a Group Box.
  • Control of open/closed door status for all doors.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the Radio Button.
  • With the function setControlForeColor, you can change the Text Color of the Radio Button.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Control Element

If you select the option during runtime of CANoe/CANalyzer, the switching value that you set in the Switch Value/Check property will be assigned to the symbol of the switching value.

Display Element

The symbol is not set manually. Rather, it is set to a particular value, e.g., by simulation or CAPL programs, that is configured as a switching value in the Panel Designer. The option automatically appears as selected.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

With a click on the symbol you align the text on the left site of the control.

With a click on the symbol you align the text in the middle of the control.

With a click on the symbol you align the text on the right site of the control.

Switch Value Group

Activated

Here you change the switch value for the control.

Check Position Group

Here you change the alignment of the Radio Button (not of the description) within the control:

  • Top Left
    Align Radio Button at the top left
  • Top Right
    Align Radio Button at the top right
  • Center Left
    Align Radio Button center left
  • Center Right
    Align Radio Button center right

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to color, and text format.

  • Text

    • Text field for labeling the control.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Display Only

Specifies whether the control is to be used solely for display purposes.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Here, you can make the following settings:

Check Align

Here, you set the alignment of the option in the control.

Epsilon

If the linked symbol is a double value, then a value may not be detected if it differs from the expected value because of an approximation of the decimal.
Via the Epsilon property, you may set in the Panel Designer a value that specifies up to which tolerated inaccuracy a value is detected.

Note

Note

The control has been configured with a Value = 2 and an Epsilon = 0.01.

If the control receives a symbol value of 2.000000001 or 1.99999999997, then the value 2 is detected as valid and the control changes its status.
If the value 2.05 is received, the control does not change its status.

Note

Note

This setting shall explicitly not be used for displaying ranges of values.

Switch Value

Here, you set the switching value for the control.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


Start Stop Control

Panel Designer » Windows » Toolbox » Start Stop Control

Use Case

With the Start Stop Control, you can start and stop a measurement in both online and offline modes.

CAPL Access

With the CAPL function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

You can configure the control via the ribbon or the Properties Window.

If you start or stop the measurement from the CANoe/CANalyzer toolbar, the control indicates the current status.

If you start the measurement via CANoe/CANaylzer step-wise ( [image]) or if you interrupt the measurement ( [image]), you can only stop the measurement using the control. If you want to restart the measurement after the step-wise measurement start or after the measurement interruption, you can only do this via the toolbar.

Keyboard Operations

The function that is focused (Start or Stop) can be initiated with the space bar.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Border Style Group

Here you change the frame of the control:

  • Fixed 3D
    3D frame
  • Fixed Single
    Single frame
  • None
    No frame

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can set a frame for the control.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Assigning Controls


Static Text

Panel Designer » Windows » Toolbox » Static Text

Use Case

The Static Text is a static element for labeling items on the panel and nothing else.

The following use cases are possible with the Static Text:

  • The purpose of a panel is described in an additional text.
  • Describes instructions for the user.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the Static Text.
  • With the function setControlForeColor, you can change the Text Color of the Static Text.
  • With the function setControlColors, you can set the text and background colors in one step
  • With the function setDefaultControlColors, you can reset the text and background colors to the default values defined in the Panel Designer.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

The Static Text is created with the corresponding description in the Panel Designer.

You can configure the control via the ribbon or the Properties Window.

During runtime of CANoe/CANalyzer the description is displayed on the panel.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol | Description
General Group
Name | Here you change the name of the control. This name and the name of the panel is required for access from CAPL.
Text | Here you change the description of the control.
Font Group
Font | Here you change the font.
 | With a click on the symbol you increase the font size.
 | With a click on the symbol you reduce the font size.
 | With a click on the symbol you format the text bold.
 | With a click on the symbol you format the text italic.
 | With a click on the symbol you underline the text.
 | Here you change the color of the text.
 | Here you change the background color of the text.
 | With a click on the symbol you align the text on the left site of the control.
 | With a click on the symbol you align the text in the middle of the control.
 | With a click on the symbol you align the text on the right site of the control.
More Group
 | Show Properties With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to shape, color, and text format.

  • Text

    • Text field for labeling the control.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Assigning Controls


Switch/Indicator

Panel Designer » Windows » Toolbox » Switch/Indicator

Use Case

The Switch/Indicator can be used as a control and display element for selecting and displaying defined states.

Individual statuses are shown graphically.

The following use cases are possible with the Switch/Indicator:

  • Depicts the conventional ignition lock, i.e., turning the ignition lock.
  • Description of traffic light statuses red, yellow, green.
  • Display of a digital fuel indicator.

Special Features

The values entered during a state change can be concrete values and value ranges.

  • Concrete values

    • During a state change, you can enter concrete symbolic values to map, for example a classic ignition lock. Sort the corresponding symbolic values to the states.
    The symbolic value is used both for sending (control element) and receiving (display element). For one state, only one value can be configured for sending and receiving.

  • Value ranges

    • During a state change, you can also enter value ranges to map, for example a digital fuel indicator. Sort the value ranges to the states.

    • When receiving (display element) the symbol, the system checks in which value range the symbolic value lies and the corresponding state is displayed.
    • For sending (control element), still a concrete value is required. If required, you can configure it in the Tx column.

CAPL Access

With the CAPL function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Control Element

During runtime of CANoe/CANalyzer, you can actuate the Switch/Indicator; the corresponding switching value is assigned to the symbol and the Switch/Indicator displays the associated image.

Display Element

The symbol is not set manually to a defined condition. Rather it is set by simulation or CAPL programs, for example. In the Switch/Indicator the associated image is displayed.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Text

Here you change the description of the control.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Image Group

Image File

Change the image for the control.

You must assign an image with image sequences to the Switch/Indicator according to the number of statuses.

Transparency

Change the transparent color.

The picture transparency is always active. You must only define the color for which the picture should be transparent.

Resize Proportionally

With a click on the symbol you activate/deactivate the proportional increase/decrease (height = width).

Fit Image Size

With a click on the symbol you reset the selected image to its original size.

Settings Group

Initialization

Automatic calculation of the state values

The values for the state change are calculated from the following two values and the number of states:

  • Use Start Value to set the value for the first state.
  • Use Increment to set the distance between two states.

State Count

Here you change the number of states.

Switch Values

Here you change the value for the status change.

The values entered during a state change can be concrete values and value ranges.

  • Concrete values

    • The symbolic value is used both for sending (control element) and receiving (display element). For one state, only one value can be configured for sending and receiving.

  • Value ranges
    • When receiving (display element) the symbol, the system checks in which value range the symbolic value lies and the corresponding state is displayed.
    • For sending (control element), still a concrete value is required. If required, you can configure it in the Tx column.

Notation of a Value Range

  • Input using .. or - between the start value and the end value: for example a..b
  • Input using square brackets: for example [a..b]
    Closed interval, i.e. the values are within the value range.
  • Input using round brackets: for example (a..b)
    Open interval, i.e. the values are not within the value range.
  • Input using a round and a square bracket: for example (a..b] or [a..b)
    (a..b]: the first value is not within the value range and the second value is within it
    [a..b): the first value is within the value range and the second value is not within it

Note

Note

  • If you enter the value range without brackets, square brackets will be added automatically.
  • The value for sending is automatically set to the mean value of the value range and is recalculated only when it lies outside the value range. In the meantime you must adjust it, if required.
  • If the value is assigned to two states, the first state (the state with the smaller index) is displayed.

Here you change the behavior of the Switch/Indicator.

As button exactly two Switch Values must be defined. One value for pressing the button and one value for the release of the button.
If you click the Switch/Indicator state 1 will be set and if you release it state 0 is set again.

Here you change the setting which mouse button triggers a status change:

  • Left and Right
    Status change when pressing the left or right mouse button
  • Only Left
    Status change when pressing the left mouse button

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to shape, and color format.

  • Image

    • Opens the dialog for image selection.

    You must assign an image with image sequences to the Switch/Indicator according to the number of statuses.

    With the context menu command Fit Image Size the selected image is reset to it's default size.

  • Transparent Color

    • The transparency is always active. You must only define the color for which the Switch/Indicator should be transparent.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Display Only

Specifies whether the control is to be used solely for display purposes.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Here you can define the states for a multistage Switch/Indicator:

Button Behavior

Specifies if for the Switch/Indicator should be defined two states like the Button.
If you click the Switch/Indicator state 2 will be set and if you release it state 1 is set again.

Epsilon

If the linked symbol is a double value, then a value may not be detected if it differs from the expected value because of an approximation of the decimal.
Via the Epsilon property, you may set in the Panel Designer a value that specifies up to which tolerated inaccuracy a value is detected.

Note

Note

The control has been configured with a Value = 2 and an Epsilon = 0.01.

If the control receives a symbol value of 2.000000001 or 1.99999999997, then the value 2 is detected as valid and the control changes its status.
If the value 2.05 is received, the control does not change its status.

Note

Note

This setting shall explicitly not be used for displaying ranges of values. The maximum epsilon value is therefore limited to a tenth of the difference between two expected values.

Mouse Activation Type

Specifies which mouse button triggers a status change.

Show Initial Picture (only available with assigned signal)

Specifies if the initial picture (inactive state) should be displayed as long as the assigned signal will be received.

  • False: The initial picture is displayed on the panel when no signal has been assigned to the element.
  • True: The initial picture is displayed as long as the assigned signal will be received.

State Count, Switch Values

Details about the number of states and the definition of the switch values (see Input of Switch Values).

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls | Transparency Color


Tab Control

Panel Designer » Windows » Toolbox » Tab Control

Use Case

The Tab Control is used to place controls on several tabs and enables the user to quickly switch between these tabs during runtime. No other panels have to be opened.

The following use cases are possible with Tab Control:

  • Inserting a large variety of display and control possibilities, sorted by use cases.
  • Executing individual actions on the various tabs and automatically opening the next tab.
  • Configuring different variants of an ECU on various tabs and selecting the appropriate tab during the test.

CAPL Access

With the CAPL function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

When a new Tab Control is inserted, two tabs are automatically displayed. Additional tabs can be added.

Drag the controls from the toolbox to the desired tab, and arrange them using the displayed snap lines.

Assign a symbol to the added controls.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Selected Tab Control | Selected single tab (Vector Tab Page 1)

Depending on the selection, you can configure the Tab Control or a single tab in the Properties Window:

A certain control on the Tab Control can be selected with the mouse or the Tab key.

You can select the tabs during runtime of CANoe/CANalyzer:

  • With the mouse and with the arrow keys
    If you have assigned a symbol to the Tab Control, this action changes and sends the symbol value.
  • Via the assigned symbol
    You can assign a symbol in the Properties Window that controls the selection of the tab. The numeric symbol value must be set during runtime to 1 for the first tab, 2 for the second tab, and so forth.

All control and display possibilities are available from the start of the measurement. Thus, for example, the display of a signal value starts without the related tab having been selected. If a film is running on a tab in a linked Media Player, the film continues running even if the user has switched to another tab.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Font Group

Font

Here you change the font.

With a click on the symbol you increase the font size.

With a click on the symbol you reduce the font size.

With a click on the symbol you format the text bold.

With a click on the symbol you format the text italic.

With a click on the symbol you underline the text.

Here you change the color of the text.

Here you change the background color of the text.

Edit Group

Here you change the orientation of the pages:

  • Display pages on the top
  • Display pages on the bottom

With a click on the symbol you add new page.

Selected Tab Group

Tab Caption

Here you change the name of the selected page.

With a click on the symbol you delete the selected page.

With a click on the symbol you move the selected page to the right

With a click on the symbol you move the selected page to the left

Behaviour Group

With a click on the symbol you change the transmission behavior.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to the text format of the tab label.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings

Here you can specify whether the tabs are to be displayed at the top or bottom.

Symbol

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the Attach Environment Variable, Attach System Variable links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

Valid Data Types of Symbols

Single Tab Properties

Appearance

Here you can enter the background color and the tab name.

Assigning Controls


Track Bar

Panel Designer » Windows » Toolbox » Track Bar

Use Case

The Track Bar can be used as a control and display element for values within a defined value range.

The following use cases are possible with the Track Bar:

  • Display and setting of engine speed.
  • Display of vehicle acceleration.

CAPL Access

The control can be activated with the following CAPL functions:

  • With the function setControlBackColor, you can change the Background Color of the Track Bar.
  • With the function setDefaultControlColors, you can reset the background color to the default value defined in the Panel Designer.
  • With the function setControlVisibility, you can set, if the control is displayed during runtime or not.

Configuration

Assign a symbol to the control in the Panel Designer.

You can assign a symbol to the control

  • by dragging and dropping it from the Symbol Explorer
  • by opening the corresponding Symbol Selection dialog:
  • click the links at the bottom of the Properties Window
  • under Symbol (once you have selected the symbol filter)
  • via the context menu

You can configure the control via the ribbon or the Properties Window.

Minimum and Maximum must be set in the Properties.

If Minimum/Maximum of the symbol are set in the database, these are applied automatically as the value range for the display scale. Otherwise, default values are assigned for the value range.

Note

Note

If the value of the assigned symbol exceeds the value range specified with Minimum and Maximum, the Track Bar remains in the rightmost or leftmost position.

Control Element

During runtime of CANoe/CANalyzer, the Track Bar can be used to set a desired value; this value is assigned to the symbol.

Display Element

The symbol value is not set manually. Rather it is set by simulation or CAPL programs, for example. In the Track Bar this value is displayed.

Ribbon|Properties Tab

As default the relevant settings for the selected control are displayed. You can find these and further settings also in the Properties Window.

Symbol

Description

General Group

Name

Here you change the name of the control. This name and the name of the panel is required for access from CAPL.

Display Only

With a click on the symbol you switch between control and display element.

With activated option the control is used as display element.

Appearance Group

Minimum

Here you change the minimum of the value range.

Maximum

Here you change the maximum of the value range.

Here you change the orientation of the scale:

  • Horizontal
    Horizontal orientation (minimum on the left)
  • Vertical
    Vertical orientation (minimum on the bottom)

Display Min/Max

With a click on the symbol you switch on/off the display of Minimum and Maximum of the defined value range.

Here you change the display of the scale lines (ticks):

  • No Ticks
    No scale lines
  • Ticks Top
    Scale lines above the scale
  • Ticks Bottom
    Scale lines below the scale
  • Ticks Top and Bottom
    Scale lines above and below the scale

Show Value Tooltip

With a click on the symbol you switch on/off the display of the current value within a tooltip.

Settings Group

Tick Frequency

Here you change the scale line (tick) spacing.
Tick Frequency must always be a multiple of the Small Change increment.

Small Change

Here, you modify the increment by which the symbol value is modified when the drag point is moved (with the mouse) or when the arrow keys are pressed.

Large Change

Here, you modify the increment by which the symbol value is changed when the keys <Page Down>/<Page Up> are pressed and when you click next to the drag point.

To use the functionality of the keys for the run-time in CANoe/CANalyzer, [image] must be activated in the CANoe/CANalyzer status bar.

Large Change must always be a multiple of the Small Change increment.

Here you change the transmission behavior for pressing a mouse button:

  • All Values
    All defined values are sent until the mouse button will be released
  • Only Last Value
    Only that value will be sent that is selected on release of the mouse button

More Group

Show Properties

With a click on the symbol you open the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Here you can enter settings relating to shape, color, and scale format.

  • Display Minimum/Maximum

    • You can also specify if the Minimum and Maximum value should be displayed or not.

  • TickFrequency

    • Scale line (tick) spacing.
    TickFrequency must always be a multiple of the SmallChange increment.

General

Control Name

Here you can give the control a name. This name and the name of the panel is required for access from CAPL.

Display Only

Specifies whether the control is to be used solely for display purposes.

Is Visible at Runtime

Specifies whether the control is to be displayed during runtime.

Tab Index

Defines the order in which the various controls on a panel are to be navigated with the Tab key during runtime.

Layout

Here you can enter settings relating to the size and position of the control.

Note

Note

You can also resize the control by dragging its markers.

Settings
  • Commit Value

    • Here you define the values that should be sent when pressing a mouse button.

  • All Values
    All defined values are sent until the mouse button will be released.
  • Only last Value
    Only that value will be sent that is selected on release of the mouse button.

Increments:

  • Large Change

    • Increment by which the symbol value is changed when the keys <Page Down>/<Page Up> are pressed and when you click next to the drag point.
    To use the functionality of the keys for the run-time in CANoe/CANalyzer, [image] must be activated in the CANoe/CANalyzer status bar.
    Large Change must always be a multiple of the Small Change increment.

  • Small Change

    • Increment by which the symbol value is modified when the drag point is moved (with the mouse) or when the arrow keys are pressed.

Example

Example

Symbol

Here you can enter the Minimum and Maximum of the value range.

You can assign a symbol to the control by opening the corresponding Symbol Selection dialog:

  • click the links at the bottom
  • under Symbol (once you have selected the symbol filter)

Valid Data Types of Symbols

Assigning Controls


Working Area

Panel Designer » Windows » Working Area

You can create or modify panels in the working area.

To create a new panel, open a new panel by selecting File ribbon tab|New. Only once you have done this will you be able to assign controls and symbols to the panel.

Every element (panel and controls) selected in the working area can be configured in the Properties Window.

To facilitate alignment of the controls, snaplines on which controls can be aligned appear when you start the assignment process.

Note

Note

You can temporarily skip the automatic alignment with the shown snaplines by pressing <Alt> when moving the element.

In addition to the guide lines, the Home ribbon tab features additional edit options.

You can edit a number of panels in parallel in the Panel Designer. In the working area, each panel is opened in a separate tab.

Once a control has been selected, marker points will appear which you can use to adjust the size in accordance with your requirements.

The panel's context menu features options for opening new or existing panels and saving the open panel.

Align Controls


Symbol Explorer

Panel Designer » Windows » Symbol Explorer

Ribbon|Home Tab|Views|Symbol Explorer

In the Symbol Explorer, you select the symbol you wish to assign via drag and drop to a control. In the database defined minimum/maximum values used for the value range (min/max) or for the alarm display of the control are taken over.

Note

Note

If you assign a symbol to a control that have been already assigned a symbol, the minimum and maximum values and the alarm state settings defined in the database will only be taken over when the Shift key is pressed.

The Symbol Explorer supports several options for accessing the same symbol. For example, you can select a symbol directly from the symbol or message list or find the corresponding symbol via a specific node.

Selecting Symbols

Use the toolbar to change the display of the tree view in the Symbol Explorer. Depending on the selection you make, either the available network symbols [image], variables [image], communication objects [image], diagnostic classes [image] or diagnostic services [image] will be displayed. With [image] you can select for the diagnostic classes and services if the names (longname) or qualifiers (shortname) should be displayed. Select the desired symbol in the tree view and drag and drop to assign it to the desired window.
Only communication objects will be displayed, whose endpoints were added to the CANoe/CANalyzer configuration in the Communication and Timings dialog.

With [image] you can collapse the tree view.

Closed Search Options

You can search for a word or part of a word using the input field of the search [image] . All existing texts in all columns are taken into account.

The tree view will be filtered by matches during entry. The filtered matches are highlighted in color. The tree view does not contain any entries if no match is found in it. You can delete the search entry using Cross Reference. The tree view will be shown completely.

The most recently used search terms can be selected again via a selection list.

The wildcards * and ? are supported. The texts will be searched for character strings.

  • * stands for an arbitrary number of characters.
    dow*Do finds e.g. WindowLeftDown and WindowRightDown
  • ? stands for exactly one character.
    dow????Do finds e.g. WindowLeftDown and WindowRightDown

Partially Canceling the Search

When you search for an element in the Symbol Explorer, only the matches (Phase on the image) will be shown in the tree view.

If you would like to know which element is located in Console_2 for example, you can use the context menu Suspend Search to partially cancel the search. That means all the sub-elements for Console_2 will now be displayed.

If you have partially canceled a search, the search term will no longer be highlighted.

With the context menu Resume Search you can resume the partial search.

You can cancel and resume the partial search for several subtrees.

Closed Navigation Path

Beneath the search area, the path to the currently selected element (Mirror_l2d on the image) is shown. This path is especially helpful for (vertically) very long lists, if the superordinate elements are not located in visible area.

In the tree view, you can click on an element in the navigation path to navigate to this element.

In the tree view, you can navigate to the sub-elements of the selected elements by clicking the arrows in the navigation path.
On the image Console_1, Console_2, NM_Console and TP_Console are sub-elements of Tx Frames.

All currently invisible elements of the path can be displayed by clicking on the double arrows.

The navigation path may not be completely displayed due to the width of the Symbol Explorer.

Closed Available Columns

In the according selection dialog there are columns available for a more detailed description of each object. These columns can be enabled/disabled by a right mouse click in the column title. In the following menu you can enable/disable the desired columns. You may sort the selectable objects by double-clicking the column title.

Closed Aggregations

For simplified usage the following elements are merged to form aggregations:

  • Arrays
  • Networks

The following editors are available for selecting the elements to be included in an aggregation.

List Editor

The List Editor can be used to select one or more elements. For networks and special arrays for selecting a point in time multiple elements can be selected.

For selecting a single element, click with the mouse on the desired element.

For selecting multiple elements, proceed as follows:

  • Left mouse button + <Ctrl>: Selection of individual elements
  • Left mouse button + <Shift>: Selection of several successive elements

Example

Examples for List Editors

Network | Array

Combined Array Selection

In addition to selecting individual or multiple arrays using the mouse button, you can also specify individual elements as text separated by a comma, specify several successive elements joined by a hyphen (e. g. 5-7), or you can use a combination of both options.

Example

Example

Unspecified Array Selection

For Some/IP there are arrays whose number of elements is unknown when elements are selected. For these arrays, you can only determine the index via a text field and not via multi-selection. The arrays may be multi-dimensional as well. In this case, you can specify individual dimensions separated by a comma.

Example

Example

For arrays, you can click on [Collapse Items]/[Expand Items] to collapse/expand the aggregated view.

Aggregations can also be nested. This allows for selecting a comprehensive set of elements according to the individual needs.

Example

Example

Drag and drop the selected elements:

The following elements are moved when using drag and drop:

  • StructVars/ArrayOfArrayStructVar[0]/arrayOfStructs[0]/floatMember
  • StructVars/ArrayOfArrayStructVar[0]/arrayOfStructs[0]/shortMember
  • StructVars/ArrayOfArrayStructVar[0]/arrayOfStructs[1]/floatMember
  • StructVars/ArrayOfArrayStructVar[0]/arrayOfStructs[1]/shortMember
  • StructVars/ArrayOfArrayStructVar[1]/arrayOfStructs[0]/floatMember
  • StructVars/ArrayOfArrayStructVar[1]/arrayOfStructs[0]/shortMember
  • StructVars/ArrayOfArrayStructVar[1]/arrayOfStructs[1]/floatMember
  • StructVars/ArrayOfArrayStructVar[1]/arrayOfStructs[1]/shortMember

Data Types of Assigned Symbols


Panel Overview

Panel Designer » Windows » Panel Overview

Ribbon|Home Tab|Views|Panel Overview

The panel overview of the Panel Designer lists controls which are integrated into the currently selected panel.

In the tabular overview, you can

  • quickly identify which symbols are assigned to which controls
  • assign symbols to the controls
  • find controls which are hidden or located outside the panel

Toolbar

Icon

Description

All controls which you have integrated into the panel are displayed.

Only controls which you have integrated into the panel and to which a symbol can be assigned are displayed.

Integrated Group Boxes are always displayed, since they may include controls which can be linked to symbols.

This option allows you to display the fully qualified names of the assigned symbols.

List of the Controls

Columns

Name | Description
Control Name | Name and icon of the control. You can copy and paste a control name via the context menu. symbolizes an unknown control.
Symbol | The assigned symbol as an image, e.g. for a system variable.
Symbol Name | The symbol name of the assigned symbol.

Assigning Symbols

You can assign a symbol to the control in the Symbol Name column

  • via the button [image] (Symbol Selection dialog)
  • via the selection list
  • via the context menu
  • from a different table cell using drag and drop
    This allows you to use the already assigned symbols for other controls.
  • from the Symbol Explorer using drag and drop

Sorting

You can sort the list by clicking the table header:

  • alphabetically in ascending/descending order by control name
  • in ascending/descending order by symbol type
  • alphabetically in ascending/descending order by symbol name

In all cases, the classification of the elements in the Group Box remains the same, the elements are sorted within the Group Box.

Multi-Selection

You can mark several controls (lines) and assign them the same symbol with a unique action (see above Assigning Symbols).

Further Information

Below the list of the symbols, further information is displayed for the symbol selected in the list, for example the name of the database, the name of the node and the name of the message.

Control and Display Elements | Assign Symbols


Properties

Panel Designer » Windows » Properties

Ribbon|Home Tab|Views|Properties

You can use the Properties Window to configure selected elements (panel and controls) on the working area.

The setting options for each selected element are displayed in the Properties Window in the form of a table. By selecting several elements, you can change all the shared settings at once.

Properties Window Toolbar

Symbol | Description
 | Settings are categorized (default setting)
 | Settings are listed in alphabetical order.
 | All available settings for the selected control are displayed.
 | Only the relevant settings for the selected control are displayed.

Settings

If displayed according to category, the settings will be grouped as follows, depending on which element has been selected:

Category | Description | Available for
Appearance | Contains color and font settings. | Panel, controls
General | Contains the name This name is used to control the element within a CAPL function. | Controls
Layout | Contains size and position settings. | Panel, controls
Settings | Contains control-specific settings, e.g., element type, switch values. | Controls
Symbol | Contains details of the assigned symbol. You can specify the indices of structured SOME/IP service parameters in the Array Index Qualifier property. Select the input box with the mouse, and specify the desired index inside square brackets. The Array Index Qualifier property is only displayed if the path of the parameter contains at least one array. | Controls Exceptions: Static Text, Group Box, Picture Box, File Button

Note

Note

  • Depending on which control is selected, additional categories may be displayed in the Properties Window. For a description of these, please refer to the help pages for the relevant control.
  • When you select several elements at once, only the settings that are available for all the selected elements will be displayed in the Properties Window.

A short description of each setting selected will be displayed at the bottom of the Properties Window.

Only the links actually available for the relevant control will be displayed.

  • With the Reset values link you can reset the initialization values of all selected controls to the values from the database.
  • You can remove symbol assignments with the Detach Symbol, Detach all Symbols, and Detach selected Symbols links.
  • You can open the Symbol Selection dialog with the Attach Signal, Attach Environment Variable, Attach System Variable, Attach Diagnostics Parameter and Attach Service Signal links.

Depending on which setting has been selected, you will be able to choose between the following entry options:

Text entry

Selection list

Color selection

In the case of the color selection list, a window with the following tabs will appear: User-defined, Web and System.

If you want to set a user-defined color, you can either select one of the colors available via the User-defined tab or you can enter the RGB value for the color directly behind the color display. The values must be separated by a ";" character. An error message will be displayed if the entry is incorrect.

To open the Color Selection dialog from within the User-defined tab, right-click on any of the empty color fields.
You can then select the required color by either entering the RGB values or by selecting it directly from a color scale and clicking the [Add color] button to add it to the palette of user-defined colors.
You can also use this dialog to specify the chroma, saturation, and intensity of the color.

Selection via dialogs


Window Management

Panel Designer » Screen Format » Window Management

You can open the various windows via the Home Ribbon Tab.

Various types are available for the windows. Each prompts a different response from the window.

There are the following types of window:

Docked Windows

Windows of this type can be docked anywhere in the main window and are always at the front.

Position markers appear which you can use to specify the position:

Example

Closed Example

You want to return the Properties and Toolbox tabs in the Panel Designer to their default view.

Current State | Target State
The Properties dialog and the Toolbox are represented as tabs in the Panel Designer. | You want to use the default view of the Properties dialog and the Toolbox.
Step 1 | Step 2
Select the Properties tab by moving your mouse over the element and left-clicking it. Drag the element up while holding down the left mouse button. The following image appears. | Now drag the element in the direction of the lower blue arrow. A gray area appears that indicates the future position, size and shape of the element. Release the left mouse button when the gray area appears. The element is now positioned as indicated by the gray area.

Auto-hide Windows

Windows of this type are hidden at the edge of the main window and appear as tabs when the auto-hide function is activated.

The auto-hide function is activated and deactivated using the following symbols, which appear in the window header:

Activate auto-hide function

Deactivate auto-hide function

Description of the Windows


Output Window

Panel Designer » Windows » Output Window

Ribbon|Home Tab|Views|Output Window

You can see information and error messages relating to the currently active panel in the Output Window.

A check is carried out to determine if all controls are linked with symbols (if possible) and if all these symbols are present in the current database when loading a panel. If a control has no symbol link or a symbol is not found in the database, the Output Window is opened automatically with a corresponding message. Additional missing symbol links are added line-by-line.

Selecting a message

If you select a message in the Output Window, the corresponding control is also selected in the panel.

Deleting the messages in the Output Window

Select the Delete All menu command in the context menu of the Output Window to delete all messages in the Output Window

Updating the Output Window

The Output Window is updated when a panel is loaded and when a symbol check is selected.

In the case of a database or panel change, the Output Window is not updated automatically.


Keyboard Operations

Panel Designer » Keyboard Operations

The following key combinations may be used when working in the Panel Designer:

Calling Help

Function | Key Combination
Opens help. In dialogs/window, help is displayed for the particular dialog/window. | <F1>

Controlling the Cursor in the Panel’s Working Area

Function

Key Combination

Skip to the next control

<Tab>

Skip to the previous control

<Shift>+<Tab>

Skip to the next panel

<Ctrl>+<Tab>

If the focus is in the panel's working area, you can press <Esc> to select the parent element of the currently selected control.

Example

Example

  • A Radio button located in a group box is selected. When <Escape> is pressed, the parent group box is selected.
  • Several elements are placed very close to one another on a panel. It is not possible to use the mouse to select the panel itself. The solution is to continue pressing <Escape> until the panel is selected.

<Escape>

Activating Menu Commands

Function

Key Combination

Selects the ribbon and activates the selection of the tabs.

After that the following functions are available:

<Alt>

Opens the tab for the selected character.

<Character>

Opens the menu/window for the selected character on th eselected tab.

<Character>

Opens the tab to the left or right of the active tab.

<Arrow key right>/
<Arrow key left>

Moves the selection of menu commands within the opened menu.

<Arrow key up>/
<Arrow key down>

Executes the command of the selected menu command.

<Enter>

Aligning Controls | Assigning Symbols


Opening the Panel Designer

Panel Designer » Opening the Panel Designer

To open the Panel Designer do one of the following:

  • Via the CANoe/CANalyzer Tools ribbon tab:
  • Choose the Edit command from the context menu of an opened panel. This panel is then loaded and displayed in the Panel Designer.


New Panel

Panel Designer » New Panel

Ribbon|File Tab|New

Select this menu path to open a blank panel. A highlighted rectangle will appear on the working area.

You can configure the panel via the ribbon or the Properties Window.

Assigning Controls


Assigning Controls

Panel Designer » Windows » Toolbox » Assigning Controls

You can assign the controls from the toolbox to the panel in various ways:

  • Using drag and drop
  • By double-clicking
  • By clicking with the left mouse button to select the required control and then clicking again with the left mouse button on the panel


Aligning Controls

Panel Designer » Windows » Working Area » Aligning Controls

Snaplines

In the Options dialog you can enter the alignment settings for controls within a panel:

  • Controls snap to snaplines
  • Controls snap to grid
  • Controls free positionable

Keyboard Operations

Functional description

Key combination

Move the control on the panel pixel-by-pixel

< [image] >, < [image] >, < [image] >, < [image] >

Move the control along the snaplines

<Ctrl>+< [image] >, < [image] >, < [image] >, < [image] >

Increase or decrease the height of the control pixel-by-pixel

<Shift>+< [image] > or <Shift>+< [image] >

Increase or decrease the width of the control pixel-by-pixel

<Shift>+< [image] > or <Shift>+< [image] >

Increase or decrease the height of the control to the next snapline

<Shift>+<Ctrl>+< [image] > or <Shift>+<Ctrl>+< [image] >

Increase or decrease the width of the control to the next snapline

<Shift>+<Control>+< [image] > or <Shift>+<Control>+< [image] >

Use the mouse to deactivate snaplines when moving the control

<Alt>+mouse movement

Copy controls
  1. Select the controls,
  2. press <Ctrl> and use the mouse to drag to the required position

(the insert symbol appears at the cursor [image] ),

  3. release the mouse button,
  4. release <Ctrl>.

Proportionally change the size.

Available for:

  • New Panel
  • LED Control
  • Picture Box
  • Switch/Indicator
  1. Select the controls,
  2. press <Shift> and change the size using the mouse on the mark frame. This function is not available for dragging on corners.


Displaying assigned Symbols

Panel Designer » Displaying assigned Symbols

Panel Designer

Assignments between symbols and controls are displayed in the status bar of the Panel Designer.

CANoe/CANalyzer

Assignments between symbols and controls can be displayed in CANoe/CANalyzer by positioning the cursor on any control.

The assigned symbol is displayed in a ScreenTip to the lower right of the tip of the cursor.


Selecting Several Controls (Multiple Selection)

Panel Designer » Windows » Working Area » Selecting Several Controls (Multiple Selection)

It is possible to select several controls at the same time, for example if you want to modify shared properties in one step.

You can make multiple selections in a variety of ways:

  • 'Capturing' controls with the mouse

Hold down the left mouse button and drag the mouse to create a rectangular selection frame that encompasses the controls you want to select. Release the left mouse button.
The selected controls are highlighted, and small white or black squares appear on the outer edges of the controls.

  • Selecting controls using the keyboard
  • Select a control in the panel.
    The first selected control is highlighted, and small white squares appear on its outer edges.
  • To select additional controls, hold down the <Shift> key and select further controls.
    These are now also highlighted, and small black squares appear on the outer edges of the controls.

Note

Note

In this case it may happen that all the controls and the panel itself are selected.
This may give you the impression that you cannot deselect the multiple selection.
The solution here is to deselect the panel by pressing the <Shift> key again and clicking on the edge of the panel or directly in a free area of the panel.

Note

Note

The first control that you select will have small white squares on its outer edges. It is the leading control and as such, its properties are used for modifications e.g. for Layout functions like setting the same width.


Assigning and Creating Bitmaps

Panel Designer » Assigning and Creating Bitmaps

You can create and edit bitmap files with any bitmap editor (e.g. Paint, Photoshop).

A bitmap file for a n-stage switch always consists of n+1 rectangular partial bitmaps, each with the same height and width, arranged to be horizontally adjacent to one another.

In the first rectangle the inactive state is shown. This appears on the panel when no symbol has been assigned to the element. The Switch/Indicator shows the inactive state as long as the assigned Signal will be received.

The n switch values are located in the n partial bitmaps to the right of this.

Example

Example of Two-Stage Switch

Note

Note

When creating your own bitmaps be sure to save them as uncompressed Windows bitmaps. Some graphics drivers cannot process specially compressed bitmaps, which may result in undesirable optical effects or even system crashes.

It is advisable to save all bitmaps belonging to a panel in a separate subdirectory. If you wish to forward a panel to another user you must also forward the bitmap directory.


Displaying and Entering Hexadecimal Values

Panel Designer » Hexadecimal Display

Hexadecimal display is supported in the Input/Output Box and the Combo Box in the Panel Designer. The Input/Output Box also supports the entry of hexadecimal values.

Signals, environment variables and system variables can be displayed and entered in hexadecimal format if their raw or physical value is an integer.

The Combo Box can only display raw values.

Displaying Raw Values in Hexadecimal Format

Depending on the symbol definition, integer values are filled to form full bytes and displayed hexadecimally. Leading zeros are not displayed in this case.

Example

Example: Displaying Raw Values

Signal definition | Min/max values | Signal places (Hex) | Value (Hex)
3 bit, signed | -4 3 | 2 | FC 3
3 bit, unsigned | 0 7 | 2 | 0 7
8 bit, signed | -128 127 | 2 | 80 7F
8 bit, unsigned | 0 255 | 2 | 0 FF

Displaying Physical Values in Hexadecimal Format

  • Depending on the symbol definition, integer values are filled to form full bytes and displayed hexadecimally. Leading zeros are not displayed in this case.
  • Signals with a Signed Integer or Unsigned Integer data type can be displayed hexadecimally.
  • The physical value range of integer signals with Factor = 1 and Offset = 0 corresponds exactly to the value range of the underlying data type. In this case the physical value is identical to the raw value.
  • However, if you define Factor and Offset values, this results in a physical value range that differs from the value range of the raw value. When physical values are displayed/entered hexadecimally, the number of significant places in the element is based on the physical value range.
    In the case of an unsigned integer signal, this can result in an offset into a negative value range (see example).

Example

Example: Signal with Factor and Offset

8 bit signal, signed, with Factor = 2 and Offset = -100

The physical value range is -356..154.
Even though the signal consists of only one byte, two bytes are needed for the display.

Raw value (decimal) | Raw value (Hex) | Physical value (decimal) | Physical value (Hex)
-128 | 80 | -356 | FE9C
-1 | FF | -102 | FF9A
100 | 64 | 100 | 64
127 | 7F | 154 | 9A

Tooltips

Tooltips help users interpret the data on the panel. For detailed information see CANoe/CANalyzer help page Panel Configuration: Settings.

Limitations

  • Signals with a Double or Float data type and Integer signals with a non-integer Offset or Factor cannot be displayed as hexadecimal values. The display (data interpretation) is automatically set to decimal in the Panel Designer Properties Window.
  • Signals with a Double or Float data type can be displayed as hexadecimal values up to CANoe/CANalyzer version 7.1 SP3. From version 7.1 SP4, their display is automatically set to decimal at runtime, even if the display was previously set to hexadecimal in the Panel Designer Properties Window.
  • Physical values larger than integer 64 bit maximum or smaller than integer 64 bit minimum cannot be displayed. A yellow warning triangle appears after the element.


Displaying and Entering Binary Values

Panel Designer » Binary Display

Binary display is supported in the Input/Output Box and the Combo Box in the Panel Designer. The Input/Output Box also supports the entry of binary values.

Signals, environment variables and system variables can be displayed and entered in binary format if their raw or physical value is an integer.

The Combo Box can only display raw values.

Displaying Raw Values in Binary Format

Depending on the symbol definition, integer values are displayed binary. Leading zeros are not displayed in this case.

Example

Example: Displaying Raw Values

Signal definition | Min/Max values | Signal places (Bin) | Values (Bin)
3 Bit, signed | -4 3 | 3 | 100 11
3 Bit, unsigned | 0 7 | 3 | 0 111
8 Bit, signed | -128 127 | 8 | 10000000 1111111
8 Bit, unsigned | 0 255 | 8 | 0 11111111

Displaying Physical Values in Binary Format

  • Depending on the symbol definition, integer values are displayed binary. Leading zeros are not displayed in this case.
  • Signals with a Signed Integer or Unsigned Integer data type can be displayed binary.
  • The physical value range of integer signals with Factor = 1 and Offset = 0 corresponds exactly to the value range of the underlying data type. In this case the physical value is identical to the raw value.
  • However, if you define Factor and Offset values, this results in a physical value range that differs from the value range of the raw value. When physical values are displayed/entered binary, the number of significant places in the element is based on the physical value range.
    In the case of an unsigned integer signal, this can result in an offset into a negative value range (see example).

Example

Example: Signal with Factor and Offset

8 bit signal, signed, with Factor = 2 and Offset = -100

The physical value range is -356..154.
Even though the signal consists of only one byte, two bytes are needed for the display.

Raw value (decimal) | Raw value (Bin) | Physical value (decimal) | Physical value (Bin)
-128 | 1000 0000 | -356 | 11111110 10011100
-1 | 1111 1111 | -102 | 11111111 10011010
100 | 0110 0100 | 100 | 01100100
127 | 0111 1111 | 154 | 10011010

Tooltips

Tooltips help users interpret the data on the panel. For detailed information see CANoe/CANalyzer help page Panel Configuration: Settings.

Limitations

  • Signals with a Double or Float data type and Integer signals with a non-integer Offset or Factor cannot be displayed as binary values. The display (data interpretation) is automatically set to decimal in the Panel Designer Properties Window.
  • Signals with a Double or Float data type can be displayed as binary values up to CANoe/CANalyzer version 7.1 SP3. From version 7.1 SP4, their display is automatically set to decimal at runtime, even if the display was previously set to binary in the Panel Designer Properties Window.
  • Physical values larger than integer 64 bit maximum or smaller than integer 64 bit minimum cannot be displayed. A yellow warning triangle appears after the element.


Panel Conversion: Notes

Panel Designer » Panel Conversion » Notes

You can use the Panel Designer's Import function to convert Panel Editor panels (CNP files) into Panel Designer panels (XVP files).

The most important conversion rules are listed below.

Converting a Panel Editor Multi Display Control into a Panel Designer CAPL Output View

The Multi Display Control of the Panel Editor is converted into the CAPL Output View element of the Panel Designer.

The Multi Display Control can only display one output, which is overwritten by the next output. When the CAPL Output View element is generated, it exhibits the same behavior, i.e. the Output Mode property is set to Overwrite.

Converting a Panel Editor Clock Control into a Panel Designer Clock Control

The Clock Control of the Panel Editor is converted into the Clock Control of the Panel Designer.

The following use cases for the Panel Editor control are converted:

  • Display of the PC's system time (PC time)
  • The Panel Editor control properties are set to Clock Mode = Clock and Input Source = SystemTime.
  • The converter generates a new Clock Control.
  • The clock is functional immediately after the conversion has taken place.
  • Transmission of the time from CAPL to the Clock Control at runtime.
  • The Panel Editor control properties are set to Clock Mode = Clock and Input Source = CAPL.
  • The converter generates a new Clock Control.
  • The clock is not functional after the conversion has taken place.
  • You need to adapt the CAPL time-setting function to this new function; see Clock Control.
  • Use as a stopwatch, synchronized to the PC time.
  • The Panel Editor control properties are set to Clock Mode = StopWatch and Input Source = SystemTime.
  • The converter generates a new Clock Control.
  • The stopwatch is not functional after the conversion has taken place.
  • You need to adapt the CAPL functions that set the stopwatch to this new function; see Clock Control.

The following Panel Editor use cases are not converted, i.e. no new Clock Control is generated:

  • Stopwatch synchronized via CAPL
  • Countdown clock
  • Alarm functions associated with Clock and StopWatch modes


Transparency Color

Panel Designer » Transparency Color

Bitmap elements whose transparency is active allow the background to appear through their areas of transparency color. That is, the transparency color remains invisible. This allows these elements to represent any desired forms.

To draw a bitmap with transparency fill the areas that should be transparent with the color you have defined in the ribbon in the Transparency field or in the Properties Window in the Transparent Color field.
The default setting of the transparency color is Blue (RGB 0,0,255).

Note

Note

Use the default color Blue (RGB 0.0255) to create bitmaps with transparent color. Then have not to choose always a new transparent color for each newly added bitmap in the Panel Designer.

Elements such as Button, Track Bar, Input/Output Box or Static Text do not appear through the transparency areas of Picture Box and Switch/Indicator if they are placed below them.
When overlapping Picture Box and Switch/Indicator, the transparency remains active.


Contact/Copyright/License

Panel Designer » Contact/Copyright/License

Contact

Vector Informatik GmbH

Ingersheimer Str. 24
70499 Stuttgart
Germany

http://www.vector.com

Imprint

Vector reserves the right to modify any information and/or data in this user documentation without notice. This documentation nor any of its parts may be reproduced in any form or by any means without the prior written consent of Vector. To the maximum extent permitted under law, all technical data, texts, graphics, images and their design are protected by copyright law, various international treaties and other applicable law. Any unauthorized use may violate copyright and other applicable laws or regulations.

© Copyright Vector Informatik GmbH

All rights reserved.

Protected Trademarks

All brand names in this documentation are either registered or non registered trademarks of their respective owners.

Additional Copyrights/License Notes

According to the license, you may get the original sources as well as the partly changes from support@vector.com.

Copyright/License for…

Note

Ace

Copyright (c) 2010, Ajax.org B.V.

Closed See complete text for further details:

License to BSD

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of Ajax.org B.V. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL AJAX.ORG B.V. BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Bootstrap Framework

Copyright (c) 2011-2016 Twitter, Inc.

Closed See complete text for further details:

The MIT License (MIT)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

CodeMirror

Copyright (c) 2015 Marijn Haverbeke

Closed See complete text for further details:

The MIT License (MIT)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

DevExpress

DevExpress is a software development product.
It refers to the following licenses:

  • Ace
  • Bootstrap Framework
  • CodeMirror
  • Dotless.Core
  • Globalize
  • jQuery
  • jQueryUI
  • JS Beautifier
  • Json.NET
  • Knockout
  • NLog
  • Reactive Extensions
  • SharpZipLib
  • Unity
  • XamlStyler

Dotless.Core

Dotless.Core

Closed See complete text for further details:

The Apache Software License, Version 2.0, January 2004

TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

1. Definitions.

"License" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity exercising permissions granted by this License.

"Source" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.

"Object" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as "Not a Contribution." "Contributor" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.

2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.

3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.

4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:

(a) You must give any other recipients of the Work or Derivative Works a copy of this License; and

(b) You must cause any modified files to carry prominent notices stating that You changed the files; and

(c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and

(d) If the Work includes a "NOTICE" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.

You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.

5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.

6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.

7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.

8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.

END OF TERMS AND CONDITIONS

APPENDIX: How to apply the Apache License to your work.

To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets "[]" replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same "printed page" as the copyright notice for easier identification within third-party archives.

Copyright [yyyy] [name of copyright owner]

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Globalize

Copyright (c) Software Freedom Conservancy, Inc.

http://jquery.org/license

Closed See complete text for further details:

The MIT License (MIT)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

jQuery

jQuery Functionality CodeMeter WebAdmin

Copyright (c) jQuery Foundation and other contributors

http://jquery.com/

Closed See complete text for further details:

The MIT License (MIT)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

jQueryUI

Copyright (c) jQuery Foundation and other contributors

http://jquery.com/

Closed See complete text for further details:

The MIT License (MIT)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

JS Beautifier

Copyright (c) 2007-2013 Einar Lielmanis and contributors

Closed See complete text for further details:

The MIT License (MIT)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Json.NET

Copyright (c) 2007 James Newton-King

http://www.newtonsoft.com/json

Closed See complete text for further details:

The MIT License (MIT)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Knockout

Copyright (c) Knockoutjs.com

http://knockoutjs.com/

Closed See complete text for further details:

The MIT License (MIT)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

NLog

Copyright (c) 2004-2016 Jaroslaw Kowalski <jaak@jkowalski.net>, Kim Christensen, Julian Verdurmen

Closed See complete text for further details:

License to BSD

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of Jaroslaw Kowalski nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL AJAX.ORG B.V. BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Reactive Extensions

Copyright (c) .NET Foundation and Contributors

Closed See complete text for further details:

The Apache Software License, Version 2.0, January 2004

TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

1. Definitions.

"License" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity exercising permissions granted by this License.

"Source" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.

"Object" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as "Not a Contribution." "Contributor" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.

2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.

3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.

4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:

(a) You must give any other recipients of the Work or Derivative Works a copy of this License; and

(b) You must cause any modified files to carry prominent notices stating that You changed the files; and

(c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and

(d) If the Work includes a "NOTICE" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.

You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.

5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.

6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.

7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.

8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.

END OF TERMS AND CONDITIONS

APPENDIX: How to apply the Apache License to your work.

To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets "[]" replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same "printed page" as the copyright notice for easier identification within third-party archives.

Copyright [yyyy] [name of copyright owner]

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

SharpZipLib

Copyright (c) 2000-2016 SharpZipLib Contributors

Closed See complete text for further details:

The MIT License (MIT)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Unity

Copyright (c) Microsoft. All rights reserved.

https://github.com/unitycontainer/unity

Closed See complete text for further details:

The Apache Software License, Version 2.0, January 2004

TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

1. Definitions.

"License" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity exercising permissions granted by this License.

"Source" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.

"Object" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as "Not a Contribution." "Contributor" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.

2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.

3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.

4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:

(a) You must give any other recipients of the Work or Derivative Works a copy of this License; and

(b) You must cause any modified files to carry prominent notices stating that You changed the files; and

(c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and

(d) If the Work includes a "NOTICE" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.

You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.

5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.

6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.

7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.

8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.

END OF TERMS AND CONDITIONS

APPENDIX: How to apply the Apache License to your work.

To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets "[]" replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same "printed page" as the copyright notice for easier identification within third-party archives.

Copyright [yyyy] [name of copyright owner]

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

XamlStyler

XamlStyler

Closed See complete text for further details:

The Apache Software License, Version 2.0, January 2004

TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

1. Definitions.

"License" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity exercising permissions granted by this License.

"Source" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.

"Object" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as "Not a Contribution." "Contributor" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.

2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.

3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.

4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:

(a) You must give any other recipients of the Work or Derivative Works a copy of this License; and

(b) You must cause any modified files to carry prominent notices stating that You changed the files; and

(c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and

(d) If the Work includes a "NOTICE" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.

You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.

5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.

6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.

7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.

8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.

END OF TERMS AND CONDITIONS

APPENDIX: How to apply the Apache License to your work.

To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets "[]" replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same "printed page" as the copyright notice for easier identification within third-party archives.

Copyright [yyyy] [name of copyright owner]

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.


NM Control: Controlling during Run-Time

Panel Designer » Windows » Toolbox » NM Control » Controlling during Run-Time

With the NM Control you can control the OSEK NM DLL (oseknm01.dll) or the AutoSAR NM DLLs (AsrNM30.dll, AsrNM33.dll) on a simulated CAN bus in CANoe.

The NM control lists all nodes that have a corresponding DLL assigned for the node in the Simulation Setup.

Columns

Column | Description | NM | AUTOSAR without PN* | AUTOSAR with PN*
 | In the first column you specify whether the bus will be requested by the NM (Bus Request) or not (Bus Release). | ● | ● | ●
Node | Name of the respective node from the Simulation Setup. | ● | ● | ●
ID | Node address relevant for the NM. | — | ● | ●
RM | With this button you activate the Repeat Message Mode (only possible with own Bus Request). | — | ● | ●
IL | A green LED [image] indicates that the Interaction Layer was activated. A gray LED [image] indicates that the Interaction Layer was not activated. | ● | ● | ●
Act | This LED can be used as an operator control element. Here you can activate/deactivate the Application Activity in the NM with a click. This normally prevents the bus from being released even if an internal request is not present (see first column). A yellow LED [image] indicates that the Application Activity was activated in the NM. | ● | ● | ●
NM | This LED can be used as an operator control element. Here you can stop the simulation of the NM DLL (CtrlSimulationOff) or start it (CtrlSimulationOn) with a click. A red LED [image] indicates that the simulation of the NM DLL was stopped. | ● | ● | ●
State | State of the respective state machine of the NM DLL. | ● | ● | ●

* PN: Partial Networks

Buttons

The buttons at the bottom edge of the panel initiate actions on all nodes.

[NM Request All]

[NM Release All]

[IL Request All]

[IL Release All]

AutoSAR NM with PN

For the AutoSAR NM with Partial Networks (AsrNM33.dll), the panel has a splitter [image] on the right side.

With the splitter you open/close a Detail view with display and control elements for the node that you have selected on the left side under Nodes.

Detail view

The Detail view displays all Partial Networks of the node with name and network ID.

On the far right it is indicated whether the node

  • is an Activator for this network, i.e., the corresponding bit in its Send message will be set for Request
  • will be awakened by this network (Remoted), i.e., the bit is part of its filter mask

The green LED [image] indicates that the corresponding Partial Network is currently being requested for this node (internally or externally).

The control field [image] indicates (or controls) whether or not the node requests this network with a Bus Request (control field on the left side).

Note

Note

If the control fields and LEDs of a node are not visible, either the node is deactivated in the Simulation Setup or its NM state is passive.

You will find additional information about the behavior and special features/functions of the NM DLL and its states here:

  • OSEK NM
  • AUTOSAR NM CAN 3.0.0
  • AUTOSAR NM CAN 3.3.0


Network Nodes

System components with specific functionality are referred to as network nodes or controllers. This includes behavior relating to input and output variables as well as messages to be received and sent out. To describe network nodes functionally CANoe provides the event-driven procedural language CAPL. Using this tool the user could, for example, describe how the received data should be processed after a message arrives, and how it should output the result as a control value. Network nodes are represented in the Simulation Setup in CANoe.


Referenced Panels

Panel Designer » Properties Window » Panel Control Button » Referenced Panels

In the Referenced Panels dialog you can assign panels to the Panel Control Button.

Note

Note

In CANalyzer Network Panels and Node Panels are not available.
  • Network Panels

With [Add] you open the Symbolic Selection Dialog. Here you can select the Rx nodes of your Network Panel.
The selected Network Panel is opened when the Panel Control Button is pressed during run-time. The selected Rx nodes are displayed automatically.

  • Node Panels

With [Add] you open the Symbolic Selection Dialog. Here you can select the Tx nodes of your Node Panel.
The Node Panels for the selected Tx nodes are opened when the Panel Control Button is pressed during run-time.

  • Referenced Panels

With [Add] you open the Windows Explorer. Here you can define which panels will be opened when clicking the Panel Control Button.
No Panel Editor panels (CNP) can be referenced.

With [Remove] you can delete assigned panels from the list.


Context Menu

Panel Designer » Screen Format » Context Menu

Pressing the right mouse button opens the context menu.

Closed Panel Page

Close
Closes the active file. If you have changed the displayed file and not yet saved the changes, you are asked whether the changes are to be saved.

Close All But This
Closes all files except the active one. If you have changed files and not yet saved the changes, you are asked whether the changes are to be saved for each individual program.

New Horizontal Tab Group
Creates a new horizontal group. Individual pages and additional groups are displayed horizontally.
If a vertical group was created previously, this menu command is not available.

New Vertical Tab Group
Creates a new vertical group. Individual pages and additional groups are displayed vertically.
If a horizontal group was created previously, this menu command is not available.

Move to Previous/Next Tab Group
Shifts an individual page to the next/previous group.

Closed Panel

Paste
Adds the contents of the clipboard to the panel, provided that they are valid controls.

Select All
Selects all controls on the panel.

Properties
Opens the Properties Window.

Closed Controls

Depending on the control the following commands are available:

Cut
Cuts the selected control and transfers it to the clipboard.

Copy
Copies the selected control to the clipboard.

Paste
Adds the contents of the clipboard to the panel, provided that they are valid controls.

Delete
Deletes the selected control.

Properties
Opens the Properties Window.

Align

  • Left
  • Center
  • Right
  • Top
  • Middle
  • Bottom

Make Same Size

  • Width
  • Height
  • Both

Horizontal Spacing

  • Make Equal
  • Remove

Vertical Spacing

  • Make Equal
  • Remove

Center in Form

  • Horizontally
  • Vertically

Order

  • Bring to Front
  • Send to Back

Attach Signal
Opens the Symbol Selection dialog, to assign a signal to the selected control.

Attach Environment Variable
Opens the Symbol Selection dialog, to assign a environment variable to the selected control.

Attach System Variable
Opens the Symbol Selection dialog, to assign a system variable to the selected control.

Attach Diagnostic Parameter
Opens the Symbol Selection dialog, to assign a diagnostic parameter to the selected control.

Attach Service Signal
Opens the Symbol Selection dialog, to assign a service signal to the selected control.

Detach Symbol
Removes a symbol assignment.

Detach all Symbols
Removes all symbol assignments.

Detach selected Symbols
Removes selected symbol assignments.

Reset Values
Resets the initialization values of all selected controls to the values from the database.


Panel (Ribbon)

Panel

Panel Designer » Ribbon » Panel

Ribbon: Tab Panel

File

Home

Panel

Properties

Symbol

Description

General Group

Name

Here you can give the panel a name. The name of the panel is required for access from CAPL.

Background Group

Color

Here you change the background color of the panel.

Image File

Here you change the background image for the panel.

After selection of the image the panel is automatically adjusted to the image size.

Frame Group

Here you change the frame of the panel:

  • Fixed 3D
    3D frame
  • Fixed Single
    Single frame
  • None
    No frame

Size Group

Width

Here you change the width of the panel [px].

Height

Here you change the height of the panel [px].

Resize Proportionally

With a click on the symbol you activate/deactivate the proportional increase/decrease (height = width).

Fit Image Size

With a click on the symbol you reset the selected image to its original size.

More Group

Show Properties

With a click on the symbol you open the Properties Window.

You can also configure the panel via the Properties Window.

Properties Window

Note

Note

As default only the relevant settings for the selected control are displayed. For displaying all properties, please select [image] in the toolbar of the Properties Window.

Appearance

Background Color

Defines the background color of the panel.

Background Image

Opens the dialog for image selection.

After selection of the image the panel is automatically adjusted to the image size.

Border Style

Specifies whether a frame is to be drawn around the panel and if so in which style.

Is Proportional

Specifies whether you want to change the panel size proportionally.

If you select False, you can then resize the panel as desired. The background image will be distorted.

You can reset the panel size back to the original image size using the Fit Sizecontext menu command.

Layout

In the Layout category, you can enter settings relating to the size of the panel.

Note

Note

You can also resize the panel by dragging its markers.

Panel

Here you can give the panel a name. The name of the panel is required for access from CAPL.

Menu ⇒ Ribbon: Where to find What?


Configuration

Panel Designer » Options

Ribbon|File Tab|Options|Controls

Controls

Data Types

Grid

Panel

Fonts and Colors

Here you modify the default settings of controls.

You can either apply your control settings to just one currently active panel or to all open panels.

If neither of these options is selected, the change will only become visible when a new control is inserted.


Data Types

Panel Designer » Options

Ribbon|File Tab|Options|Data Types

Controls

Data Types

Grid

Panel

Drag and Drop Configuration for Symbols

Here you can specify which control should be displayed when you drag and drop a symbol directly from the Symbol Explorer to a panel. You can select different controls for the various symbol types.

Only the permissible controls are displayed for each symbol type.

Data Type

Description

Binary
  • Signal with a length of 1 bit.

Byte Array
  • Environmental variables of type data

Floating Point
  • Signals of type IEEE float and IEEE double
  • Signals of type integer with offset not equal to 0 and/or factor not equal to 1
  • Environmental variables of type float
  • System variables of type float

Integer
  • Signals of type signed/unsigned (with offset of 0 and factor of 1)
  • Environmental and system variables of type integer

Integer Array
  • System variables of type integer array.

String
  • Environmental variables of type string
  • System variables of type string

Value Table
  • Whole-number signals to which a value table has been assigned
  • Whole-number environmental variables to which a value table has been assigned

Output Window


Options

Panel Designer » Options

Ribbon|File Tab|Options

In the Options dialog you modify the default settings of panels and controls.

Controls

Data Types

Grid

Panel

Version 11.0 SP2
© Vector Informatik GmbH


Grid

Panel Designer » Options

Ribbon|File Tab|Options|Grid

Controls

Data Types

Grid

Panel

Here you can define how you want to align the controls on a panel.

Note

Note

A change in the alignment affects all opened panels.

To apply the new alignment, all opened panels are closed and then automatically opened again. For panels that are not yet saved, a prompt is displayed asking whether the panel should be saved.

The selected alignment is saved and reused when the Panel Designer is reopened.

Control Alignment

Controls snap to snaplines

With this option, snaplines are displayed as soon as a control is moved close to the panel border or close to another control. Thus, for example, you can configure all elements to be spaced equally from the panel border or all elements to be aligned with one another.

The snaplines also allow you to easily adapt the sizes of the various controls to one another.

Note

Note

You can temporarily skip the automatic alignment with the shown snaplines by pressing <Alt> when moving the element.

A grid is not displayed in this mode.

Controls snap to grid

With this option, you can align the controls to a grid. The upper left corner of the control is the "handle" for this. You can define the spacing of the grid points in the X- and Y-directions in the Grid size. The smallest possible value is 2 point, and the largest possible value is 100 point.

When the size of a control is defined, the closest grid line (horizontal and vertical) is always used as the "handle".

Controls free positionable

With this option, you can freely define the position and size of a control; an alignment to snaplines or grid points does not occur.

The grid points can be displayed and hidden same as with the Controls snap to grid option.

Grid Settings

Here you enter the distance of the dots (width and height).

With Show Grid you switch the display of the dots on and off.

These settings are not available with the Controls snap to snaplines alignment.

Assigning Controls


Panel

Panel Designer » Options

Ribbon|File Tab|Options|Panel

Controls

Data Types

Grid

Panel

Default Properties

Here you modify the default settings of panels.

The settings you have made will be applied to all future panels.

You can reset your settings to the standard settings.

Resize

When the grid is activated, the panel size can be changed only as a multiple of the grid width or grid height, regardless of whether you change the size using the selecting points or the Panel ribbontab.


Save Panel

Panel Designer » Save Panel and Add to Configuration

Ribbon|File Tab|Save/Save As/Add to Configuration

In the Save As dialog you can save the panel with a new name or in a new directory.

This dialog automatically opens when the panel is saved for the first time, where the name and storage location of the panel can be entered.

Add Panel to Configuration

With this activated option you can integrate your created panels into the currently loaded CANoe/CANalyzer configuration.

Use File Name as Panel Name

With this activated option the panel file automatically get the name of the panel that should be saved.


Symbol Selection

Panel Designer » Symbol Selection

The Symbol Selection dialog displays the loaded databases as a tree view. You can select single symbol and assign it to the control.

Depending on the database this dialog contains branches for signals, messages, nodes, environment variables, communication objects, system variables or diagnostic parameters and diagnostic services. These branches are divided into sub-branches until the symbols to be selected are reached. When selecting diagnostic parameters the services are listed and beneath the parameters transported in the primitives. The display is divided in classes [image] and services [image]. With [image] you can select if the names (longname) or qualifiers (shortname) should be displayed.
Only communication objects will be displayed, whose endpoints were added to the CANoe/CANalyzer configuration in the Communication and Timings dialog.

Within the nodes you can differentiate between transmit/receive messages/signals and "transmit and receive" messages/signals.

This dialog offers various ways to reach the same symbol. For example, you can select a symbol directly from the signal or message list, or you can search for the symbol from a specific node.

With [image] you can collapse the tree view.

The found symbols are selected by mouse or keyboard and are chosen by the [Accept] button or by [OK].

Closed Aggregations

For simplified usage the following elements are merged to form aggregations:

  • Arrays
  • Networks

The following editors are available for selecting the elements to be included in an aggregation.

List Editor

The List Editor can be used to select one or more elements. For networks and special arrays for selecting a point in time multiple elements can be selected.

For selecting a single element, click with the mouse on the desired element.

For selecting multiple elements, proceed as follows:

  • Left mouse button + <Ctrl>: Selection of individual elements
  • Left mouse button + <Shift>: Selection of several successive elements

Example

Examples for List Editors

Network | Array

Combined Array Selection

In addition to selecting individual or multiple arrays using the mouse button, you can also specify individual elements as text separated by a comma, specify several successive elements joined by a hyphen (e. g. 5-7), or you can use a combination of both options.

Example

Example

Unspecified Array Selection

For Some/IP there are arrays whose number of elements is unknown when elements are selected. For these arrays, you can only determine the index via a text field and not via multi-selection. The arrays may be multi-dimensional as well. In this case, you can specify individual dimensions separated by a comma.

Example

Example

For arrays, you can click on [Collapse Items]/[Expand Items] to collapse/expand the aggregated view.

Aggregations can also be nested. This allows for selecting a comprehensive set of elements according to the individual needs.

Example

Example

Drag and drop the selected elements:

The following elements are moved when using drag and drop:

  • StructVars/ArrayOfArrayStructVar[0]/arrayOfStructs[0]/floatMember
  • StructVars/ArrayOfArrayStructVar[0]/arrayOfStructs[0]/shortMember
  • StructVars/ArrayOfArrayStructVar[0]/arrayOfStructs[1]/floatMember
  • StructVars/ArrayOfArrayStructVar[0]/arrayOfStructs[1]/shortMember
  • StructVars/ArrayOfArrayStructVar[1]/arrayOfStructs[0]/floatMember
  • StructVars/ArrayOfArrayStructVar[1]/arrayOfStructs[0]/shortMember
  • StructVars/ArrayOfArrayStructVar[1]/arrayOfStructs[1]/floatMember
  • StructVars/ArrayOfArrayStructVar[1]/arrayOfStructs[1]/shortMember

Closed Search Options

You can search for a word or part of a word using the input field of the search [image] . All existing texts in all columns are taken into account.

The tree view will be filtered by matches during entry. The filtered matches are highlighted in color. The tree view does not contain any entries if no match is found in it. You can delete the search entry using Cross Reference. The tree view will be shown completely.

The most recently used search terms can be selected again via a selection list.

The wildcards * and ? are supported. The texts will be searched for character strings.

  • * stands for an arbitrary number of characters.
    dow*Do finds e.g. WindowLeftDown and WindowRightDown
  • ? stands for exactly one character.
    dow????Do finds e.g. WindowLeftDown and WindowRightDown

Partially Canceling the Search

When you search for an element in the Symbol Explorer, only the matches (Phase on the image) will be shown in the tree view.

If you would like to know which element is located in Console_2 for example, you can use the context menu Suspend Search to partially cancel the search. That means all the sub-elements for Console_2 will now be displayed.

If you have partially canceled a search, the search term will no longer be highlighted.

With the context menu Resume Search you can resume the partial search.

You can cancel and resume the partial search for several subtrees.

Closed Available Columns

In the according selection dialog there are columns available for a more detailed description of each object. These columns can be enabled/disabled by a right mouse click in the column title. In the following menu you can enable/disable the desired columns. You may sort the selectable objects by double-clicking the column title.

Symbol Explorer